<?php

namespace Database\Seeders\Admin;

use App\Models\Admin\SiteSections;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Constants\SiteSectionConst;
use Illuminate\Support\Str;

class SiteSectionsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $site_sections = array(
            array('id' => '1','key' => 'site_cookie','value' => '{"status":true,"link":"page/privacy-policy","desc":"We may use cookies or any other tracking technologies when you visit our website, including any other media form, mobile website, or mobile application related or connected to help customize the Site and improve your experience."}','status' => '1','serialize' => NULL,'created_at' => '2023-10-11 09:03:52','updated_at' => '2023-10-11 09:03:52'),
            array('id' => '3','key' => 'banner-section','value' => '{"items":{"652667ca89b0f":{"language":{"en":{"title":"Tune In to the Beat","description":"Discover Your Groove with AdRadio\\u2019s Hit Channel","button_name":"live on youtube","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"},"es":{"title":"Sintoniza el ritmo","description":"Descubra su ritmo con el exitoso canal de AdRadio","button_name":"en vivo en youtube","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"},"hi":{"title":"\\u092c\\u0940\\u091f \\u092e\\u0947\\u0902 \\u091f\\u094d\\u092f\\u0942\\u0928 \\u0907\\u0928 \\u0915\\u0930\\u0947\\u0902","description":"AdRadio \\u0915\\u0947 \\u0939\\u093f\\u091f \\u091a\\u0948\\u0928\\u0932 \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u0905\\u092a\\u0928\\u0940 \\u0917\\u094d\\u0930\\u0942\\u0935 \\u0916\\u094b\\u091c\\u0947\\u0902","button_name":"\\u092f\\u0942\\u091f\\u094d\\u092f\\u0942\\u092c \\u092a\\u0930 \\u0932\\u093e\\u0907\\u0935","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"},"ar":{"title":"\\u0644\\u062d\\u0646 \\u0641\\u064a \\u0644\\u0644\\u0641\\u0648\\u0632","description":"\\u0627\\u0643\\u062a\\u0634\\u0641 \\u0623\\u062e\\u062f\\u0648\\u062f\\u0643 \\u0645\\u0639 \\u0642\\u0646\\u0627\\u0629 AdRadio \\u0627\\u0644\\u0646\\u0627\\u062c\\u062d\\u0629","button_name":"\\u064a\\u0639\\u064a\\u0634 \\u0639\\u0644\\u0649 \\u064a\\u0648\\u062a\\u064a\\u0648\\u0628","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"}},"id":"652667ca89b0f","image":"abe26224-9383-4a3f-bda6-9005a8dd8185.webp"},"6527690eefe81":{"language":{"en":{"title":"Where Music Meets Magic","description":"Experience the Enchantment of AdRadio\\u2019s Magic Melodies Channel","button_name":"live on youtube","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"},"es":{"title":"Donde la m\\u00fasica se encuentra con la magia","description":"Experimente el encanto del canal Magic Melodies de AdRadio","button_name":"en vivo en youtube","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"},"hi":{"title":"\\u091c\\u0939\\u093e\\u0902 \\u0938\\u0902\\u0917\\u0940\\u0924 \\u091c\\u093e\\u0926\\u0942 \\u0938\\u0947 \\u092e\\u093f\\u0932\\u0924\\u093e \\u0939\\u0948","description":"AdRadio \\u0915\\u0947 \\u092e\\u0948\\u091c\\u093f\\u0915 \\u092e\\u0947\\u0932\\u094b\\u0921\\u0940\\u091c\\u093c \\u091a\\u0948\\u0928\\u0932 \\u0915\\u0947 \\u0906\\u0915\\u0930\\u094d\\u0937\\u0923 \\u0915\\u093e \\u0905\\u0928\\u0941\\u092d\\u0935 \\u0915\\u0930\\u0947\\u0902","button_name":"\\u092f\\u0942\\u091f\\u094d\\u092f\\u0942\\u092c \\u092a\\u0930 \\u0932\\u093e\\u0907\\u0935","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"},"ar":{"title":"\\u062d\\u064a\\u062b \\u062a\\u0644\\u062a\\u0642\\u064a \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0628\\u0627\\u0644\\u0633\\u062d\\u0631","description":"\\u0627\\u0633\\u062a\\u0645\\u062a\\u0639 \\u0628\\u062a\\u062c\\u0631\\u0628\\u0629 \\u0633\\u062d\\u0631 \\u0642\\u0646\\u0627\\u0629 Magic Melodies \\u0627\\u0644\\u062a\\u0627\\u0628\\u0639\\u0629 \\u0644\\u0640 AdRadio","button_name":"\\u064a\\u0639\\u064a\\u0634 \\u0639\\u0644\\u0649 \\u064a\\u0648\\u062a\\u064a\\u0648\\u0628","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"}},"id":"6527690eefe81","image":"12414a03-e53e-4c86-b98a-ef93f537fa03.webp"},"652769204e6fa":{"language":{"en":{"title":"Your Daily Dose of Inspiration","description":"Stay Inspired with AdRadio\\u2019s Motivation Station Channel","button_name":"live on youtube","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"},"es":{"title":"Tu dosis diaria de inspiraci\\u00f3n","description":"Mant\\u00e9ngase inspirado con el canal Motivation Station de AdRadio","button_name":"en vivo en youtube","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"},"hi":{"title":"\\u092a\\u094d\\u0930\\u0947\\u0930\\u0923\\u093e \\u0915\\u0940 \\u0906\\u092a\\u0915\\u0940 \\u0926\\u0948\\u0928\\u093f\\u0915 \\u0916\\u0941\\u0930\\u093e\\u0915","description":"AdRadio \\u0915\\u0947 \\u092e\\u094b\\u091f\\u093f\\u0935\\u0947\\u0936\\u0928 \\u0938\\u094d\\u091f\\u0947\\u0936\\u0928 \\u091a\\u0948\\u0928\\u0932 \\u0938\\u0947 \\u092a\\u094d\\u0930\\u0947\\u0930\\u093f\\u0924 \\u0930\\u0939\\u0947\\u0902","button_name":"\\u092f\\u0942\\u091f\\u094d\\u092f\\u0942\\u092c \\u092a\\u0930 \\u0932\\u093e\\u0907\\u0935","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"},"ar":{"title":"\\u062c\\u0631\\u0639\\u062a\\u0643 \\u0627\\u0644\\u064a\\u0648\\u0645\\u064a\\u0629 \\u0645\\u0646 \\u0627\\u0644\\u0625\\u0644\\u0647\\u0627\\u0645","description":"\\u0643\\u0646 \\u0645\\u0644\\u0647\\u0645\\u064b\\u0627 \\u0645\\u0639 \\u0642\\u0646\\u0627\\u0629 \\u0645\\u062d\\u0637\\u0629 \\u0627\\u0644\\u062a\\u062d\\u0641\\u064a\\u0632 \\u0641\\u064a AdRadio","button_name":"\\u064a\\u0639\\u064a\\u0634 \\u0639\\u0644\\u0649 \\u064a\\u0648\\u062a\\u064a\\u0648\\u0628","button_link":"https:\\/\\/www.youtube.com\\/watch?v=7p6hG3plQj4"}},"id":"652769204e6fa","image":"8f64e321-ee0f-4105-8cf7-d2d5ce62dc46.webp"}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-11 09:15:02','updated_at' => '2023-11-27 16:51:20'),
            array('id' => '4','key' => 'about-section','value' => '{"image":"20e4f542-6674-4277-b6b5-b341a1fbf83a.webp","language":{"en":{"section_title":"About Company","title":"Experience Music Like Never Before with AdRadio","description":"<p>AdRadio is not just a radio streaming platform; it\\u2019s an immersive audio experience like no other. We are a pioneering radio streaming company committed to delivering the finest in music and audio entertainment directly to your ears.&nbsp;<br>Our platform is designed to bring you the ultimate convenience in music exploration and enjoyment. Whether you\\u2019re a fan of classic rock, electronic beats, soulful melodies, or even the latest indie tracks, we have a channel for you. You can seamlessly navigate through our user-friendly interface and discover a world of music that resonates with your soul.<\\/p>","section_icon":"fas fa-podcast"},"es":{"section_title":"Acerca de la compa\\u00f1\\u00eda","title":"Experimente la m\\u00fasica como nunca antes con AdRadio","description":"<p>AdRadio no es s\\u00f3lo una plataforma de transmisi\\u00f3n de radio; es una experiencia de audio inmersiva como ninguna otra. Somos una empresa pionera en transmisi\\u00f3n de radio comprometida a ofrecer lo mejor en m\\u00fasica y entretenimiento de audio directamente a sus o\\u00eddos.<br>Nuestra plataforma est\\u00e1 dise\\u00f1ada para brindarle la m\\u00e1xima comodidad en la exploraci\\u00f3n y disfrute de la m\\u00fasica. Si eres fan\\u00e1tico del rock cl\\u00e1sico, los ritmos electr\\u00f3nicos, las melod\\u00edas conmovedoras o incluso los \\u00faltimos temas independientes, tenemos un canal para ti. Puede navegar sin problemas a trav\\u00e9s de nuestra interfaz f\\u00e1cil de usar y descubrir un mundo de m\\u00fasica que resuena con su alma.<\\/p>","section_icon":"fas fa-podcast"},"hi":{"section_title":"\\u0915\\u092e\\u094d\\u092a\\u0928\\u0940 \\u0915\\u0947 \\u092c\\u093e\\u0930\\u0947 \\u092e\\u0947\\u0902","title":"AdRadio \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u0938\\u0902\\u0917\\u0940\\u0924 \\u0915\\u093e \\u0910\\u0938\\u093e \\u0905\\u0928\\u0941\\u092d\\u0935 \\u0915\\u0930\\u0947\\u0902 \\u091c\\u0948\\u0938\\u093e \\u092a\\u0939\\u0932\\u0947 \\u0915\\u092d\\u0940 \\u0928\\u0939\\u0940\\u0902 \\u0939\\u0941\\u0906","description":"<p>AdRadio \\u0915\\u0947\\u0935\\u0932 \\u090f\\u0915 \\u0930\\u0947\\u0921\\u093f\\u092f\\u094b \\u0938\\u094d\\u091f\\u094d\\u0930\\u0940\\u092e\\u093f\\u0902\\u0917 \\u092a\\u094d\\u0932\\u0947\\u091f\\u092b\\u093c\\u0949\\u0930\\u094d\\u092e \\u0928\\u0939\\u0940\\u0902 \\u0939\\u0948; \\u092f\\u0939 \\u0915\\u093f\\u0938\\u0940 \\u0905\\u0928\\u094d\\u092f \\u0915\\u0940 \\u0924\\u0930\\u0939 \\u090f\\u0915 \\u0917\\u0939\\u0928 \\u0911\\u0921\\u093f\\u092f\\u094b \\u0905\\u0928\\u0941\\u092d\\u0935 \\u0939\\u0948\\u0964 \\u0939\\u092e \\u090f\\u0915 \\u0905\\u0917\\u094d\\u0930\\u0923\\u0940 \\u0930\\u0947\\u0921\\u093f\\u092f\\u094b \\u0938\\u094d\\u091f\\u094d\\u0930\\u0940\\u092e\\u093f\\u0902\\u0917 \\u0915\\u0902\\u092a\\u0928\\u0940 \\u0939\\u0948\\u0902 \\u091c\\u094b \\u0938\\u0940\\u0927\\u0947 \\u0906\\u092a\\u0915\\u0947 \\u0915\\u093e\\u0928\\u094b\\u0902 \\u0924\\u0915 \\u092c\\u0947\\u0939\\u0924\\u0930\\u0940\\u0928 \\u0938\\u0902\\u0917\\u0940\\u0924 \\u0914\\u0930 \\u0911\\u0921\\u093f\\u092f\\u094b \\u092e\\u0928\\u094b\\u0930\\u0902\\u091c\\u0928 \\u092a\\u0939\\u0941\\u0902\\u091a\\u093e\\u0928\\u0947 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u092a\\u094d\\u0930\\u0924\\u093f\\u092c\\u0926\\u094d\\u0927 \\u0939\\u0948\\u0964<br>\\u0939\\u092e\\u093e\\u0930\\u093e \\u092a\\u094d\\u0932\\u0947\\u091f\\u092b\\u093c\\u0949\\u0930\\u094d\\u092e \\u0906\\u092a\\u0915\\u094b \\u0938\\u0902\\u0917\\u0940\\u0924 \\u0915\\u0940 \\u0916\\u094b\\u091c \\u0914\\u0930 \\u0906\\u0928\\u0902\\u0926 \\u092e\\u0947\\u0902 \\u0938\\u0930\\u094d\\u0935\\u094b\\u0924\\u094d\\u0924\\u092e \\u0938\\u0941\\u0935\\u093f\\u0927\\u093e \\u092a\\u094d\\u0930\\u0926\\u093e\\u0928 \\u0915\\u0930\\u0928\\u0947 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u0921\\u093f\\u091c\\u093c\\u093e\\u0907\\u0928 \\u0915\\u093f\\u092f\\u093e \\u0917\\u092f\\u093e \\u0939\\u0948\\u0964 \\u091a\\u093e\\u0939\\u0947 \\u0906\\u092a \\u0915\\u094d\\u0932\\u093e\\u0938\\u093f\\u0915 \\u0930\\u0949\\u0915, \\u0907\\u0932\\u0947\\u0915\\u094d\\u091f\\u094d\\u0930\\u0949\\u0928\\u093f\\u0915 \\u092c\\u0940\\u091f\\u094d\\u0938, \\u092d\\u093e\\u0935\\u092a\\u0942\\u0930\\u094d\\u0923 \\u0927\\u0941\\u0928\\u094b\\u0902 \\u092f\\u093e \\u092f\\u0939\\u093e\\u0902 \\u0924\\u0915 \\u0915\\u093f \\u0928\\u0935\\u0940\\u0928\\u0924\\u092e \\u0907\\u0902\\u0921\\u0940 \\u091f\\u094d\\u0930\\u0948\\u0915 \\u0915\\u0947 \\u092a\\u094d\\u0930\\u0936\\u0902\\u0938\\u0915 \\u0939\\u094b\\u0902, \\u0939\\u092e\\u093e\\u0930\\u0947 \\u092a\\u093e\\u0938 \\u0906\\u092a\\u0915\\u0947 \\u0932\\u093f\\u090f \\u090f\\u0915 \\u091a\\u0948\\u0928\\u0932 \\u0939\\u0948\\u0964 \\u0906\\u092a \\u0939\\u092e\\u093e\\u0930\\u0947 \\u0909\\u092a\\u092f\\u094b\\u0917\\u0915\\u0930\\u094d\\u0924\\u093e-\\u0905\\u0928\\u0941\\u0915\\u0942\\u0932 \\u0907\\u0902\\u091f\\u0930\\u092b\\u093c\\u0947\\u0938 \\u0915\\u0947 \\u092e\\u093e\\u0927\\u094d\\u092f\\u092e \\u0938\\u0947 \\u0938\\u0939\\u091c\\u0924\\u093e \\u0938\\u0947 \\u0928\\u0947\\u0935\\u093f\\u0917\\u0947\\u091f \\u0915\\u0930 \\u0938\\u0915\\u0924\\u0947 \\u0939\\u0948\\u0902 \\u0914\\u0930 \\u0938\\u0902\\u0917\\u0940\\u0924 \\u0915\\u0940 \\u090f\\u0915 \\u0910\\u0938\\u0940 \\u0926\\u0941\\u0928\\u093f\\u092f\\u093e \\u0915\\u0940 \\u0916\\u094b\\u091c \\u0915\\u0930 \\u0938\\u0915\\u0924\\u0947 \\u0939\\u0948\\u0902 \\u091c\\u094b \\u0906\\u092a\\u0915\\u0940 \\u0906\\u0924\\u094d\\u092e\\u093e \\u0938\\u0947 \\u0917\\u0942\\u0902\\u091c\\u0924\\u0940 \\u0939\\u0948\\u0964<\\/p>","section_icon":"fas fa-podcast"},"ar":{"section_title":"\\u0639\\u0646 \\u0627\\u0644\\u0634\\u0631\\u0643\\u0629","title":"\\u0627\\u0633\\u062a\\u0645\\u062a\\u0639 \\u0628\\u062a\\u062c\\u0631\\u0628\\u0629 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0643\\u0645\\u0627 \\u0644\\u0645 \\u064a\\u062d\\u062f\\u062b \\u0645\\u0646 \\u0642\\u0628\\u0644 \\u0645\\u0639 AdRadio","description":"<p>AdRadio \\u0644\\u064a\\u0633 \\u0645\\u062c\\u0631\\u062f \\u0645\\u0646\\u0635\\u0629 \\u0644\\u0644\\u0628\\u062b \\u0627\\u0644\\u0625\\u0630\\u0627\\u0639\\u064a\\u061b \\u0625\\u0646\\u0647\\u0627 \\u062a\\u062c\\u0631\\u0628\\u0629 \\u0635\\u0648\\u062a\\u064a\\u0629 \\u063a\\u0627\\u0645\\u0631\\u0629 \\u0644\\u0627 \\u0645\\u062b\\u064a\\u0644 \\u0644\\u0647\\u0627. \\u0646\\u062d\\u0646 \\u0634\\u0631\\u0643\\u0629 \\u0628\\u062b \\u0625\\u0630\\u0627\\u0639\\u064a \\u0631\\u0627\\u0626\\u062f\\u0629 \\u0645\\u0644\\u062a\\u0632\\u0645\\u0629 \\u0628\\u062a\\u0642\\u062f\\u064a\\u0645 \\u0623\\u0641\\u0636\\u0644 \\u0645\\u0627 \\u0641\\u064a \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0648\\u0627\\u0644\\u062a\\u0631\\u0641\\u064a\\u0647 \\u0627\\u0644\\u0635\\u0648\\u062a\\u064a \\u0645\\u0628\\u0627\\u0634\\u0631\\u0629 \\u0625\\u0644\\u0649 \\u0623\\u0630\\u0646\\u064a\\u0643.<br>\\u062a\\u0645 \\u062a\\u0635\\u0645\\u064a\\u0645 \\u0645\\u0646\\u0635\\u062a\\u0646\\u0627 \\u0644\\u062a\\u0648\\u0641\\u0631 \\u0644\\u0643 \\u0627\\u0644\\u0631\\u0627\\u062d\\u0629 \\u0627\\u0644\\u0642\\u0635\\u0648\\u0649 \\u0641\\u064a \\u0627\\u0633\\u062a\\u0643\\u0634\\u0627\\u0641 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0648\\u0627\\u0644\\u0627\\u0633\\u062a\\u0645\\u062a\\u0627\\u0639 \\u0628\\u0647\\u0627. \\u0633\\u0648\\u0627\\u0621 \\u0643\\u0646\\u062a \\u0645\\u0646 \\u0645\\u062d\\u0628\\u064a \\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0631\\u0648\\u0643 \\u0627\\u0644\\u0643\\u0644\\u0627\\u0633\\u064a\\u0643\\u064a\\u0629\\u060c \\u0623\\u0648 \\u0627\\u0644\\u0625\\u064a\\u0642\\u0627\\u0639\\u0627\\u062a \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629\\u060c \\u0623\\u0648 \\u0627\\u0644\\u0623\\u0644\\u062d\\u0627\\u0646 \\u0627\\u0644\\u0639\\u0627\\u0637\\u0641\\u064a\\u0629\\u060c \\u0623\\u0648 \\u062d\\u062a\\u0649 \\u0623\\u062d\\u062f\\u062b \\u0627\\u0644\\u0623\\u063a\\u0627\\u0646\\u064a \\u0627\\u0644\\u0645\\u0633\\u062a\\u0642\\u0644\\u0629\\u060c \\u0641\\u0644\\u062f\\u064a\\u0646\\u0627 \\u0642\\u0646\\u0627\\u0629 \\u062a\\u0646\\u0627\\u0633\\u0628\\u0643. \\u064a\\u0645\\u0643\\u0646\\u0643 \\u0627\\u0644\\u062a\\u0646\\u0642\\u0644 \\u0628\\u0633\\u0644\\u0627\\u0633\\u0629 \\u0639\\u0628\\u0631 \\u0648\\u0627\\u062c\\u0647\\u062a\\u0646\\u0627 \\u0633\\u0647\\u0644\\u0629 \\u0627\\u0644\\u0627\\u0633\\u062a\\u062e\\u062f\\u0627\\u0645 \\u0648\\u0627\\u0643\\u062a\\u0634\\u0627\\u0641 \\u0639\\u0627\\u0644\\u0645 \\u0645\\u0646 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0630\\u064a \\u064a\\u062a\\u0631\\u062f\\u062f \\u0635\\u062f\\u0627\\u0647 \\u0645\\u0639 \\u0631\\u0648\\u062d\\u0643.<\\/p>","section_icon":"fas fa-podcast"}},"element":"5d929be3-078f-4a0d-a692-95370cead317.webp","items":{"65267ab527150":{"language":{"en":{"item_title":"Quality Streaming","item_description":"Immerse in Crystal-Clear Sound","item_section_icon":"fas fa-headset"},"es":{"item_title":"Transmisi\\u00f3n de calidad","item_description":"Sum\\u00e9rgete en un sonido cristalino","item_section_icon":"fas fa-headset"},"hi":{"item_title":"\\u0917\\u0941\\u0923\\u0935\\u0924\\u094d\\u0924\\u093e\\u092a\\u0942\\u0930\\u094d\\u0923 \\u0938\\u094d\\u091f\\u094d\\u0930\\u0940\\u092e\\u093f\\u0902\\u0917","item_description":"\\u0915\\u094d\\u0930\\u093f\\u0938\\u094d\\u091f\\u0932-\\u0915\\u094d\\u0932\\u093f\\u092f\\u0930 \\u0927\\u094d\\u0935\\u0928\\u093f \\u092e\\u0947\\u0902 \\u0921\\u0942\\u092c \\u091c\\u093e\\u090f\\u0902","item_section_icon":"fas fa-headset"},"ar":{"item_title":"\\u062a\\u062f\\u0641\\u0642 \\u0627\\u0644\\u062c\\u0648\\u062f\\u0629","item_description":"\\u0627\\u0646\\u063a\\u0645\\u0633 \\u0641\\u064a \\u0635\\u0648\\u062a \\u0648\\u0627\\u0636\\u062d \\u062a\\u0645\\u0627\\u0645\\u064b\\u0627","item_section_icon":"fas fa-headset"}},"id":"65267ab527150"},"65267af89afaf":{"language":{"en":{"item_title":"Lyrics Display","item_description":"Sing Along with Every Song","item_section_icon":"fas fa-tachometer-alt"},"es":{"item_title":"Visualizaci\\u00f3n de letras","item_description":"Canta con cada canci\\u00f3n","item_section_icon":"fas fa-tachometer-alt"},"hi":{"item_title":"\\u0917\\u0940\\u0924 \\u092a\\u094d\\u0930\\u0926\\u0930\\u094d\\u0936\\u0928","item_description":"\\u0939\\u0930 \\u0917\\u093e\\u0928\\u0947 \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u0917\\u093e\\u090f\\u0902","item_section_icon":"fas fa-tachometer-alt"},"ar":{"item_title":"\\u0639\\u0631\\u0636 \\u0643\\u0644\\u0645\\u0627\\u062a \\u0627\\u0644\\u0623\\u063a\\u0627\\u0646\\u064a","item_description":"\\u0627\\u0644\\u063a\\u0646\\u0627\\u0621 \\u062c\\u0646\\u0628\\u0627 \\u0625\\u0644\\u0649 \\u062c\\u0646\\u0628 \\u0645\\u0639 \\u0643\\u0644 \\u0623\\u063a\\u0646\\u064a\\u0629","item_section_icon":"fas fa-tachometer-alt"}},"id":"65267af89afaf"},"65267b1a57dea":{"language":{"en":{"item_title":"Social Sharing","item_description":"Share Your Musical Moments with Friends","item_section_icon":"fas fa-chart-bar"},"es":{"item_title":"Compartiendo socialmente","item_description":"Comparte tus momentos musicales con amigos","item_section_icon":"fas fa-chart-bar"},"hi":{"item_title":"\\u0938\\u093e\\u092e\\u093e\\u091c\\u093f\\u0915 \\u0938\\u093e\\u091d\\u093e\\u0915\\u0930\\u0923","item_description":"\\u0926\\u094b\\u0938\\u094d\\u0924\\u094b\\u0902 \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u0905\\u092a\\u0928\\u0947 \\u0938\\u0902\\u0917\\u0940\\u0924\\u092e\\u092f \\u092a\\u0932 \\u0938\\u093e\\u091d\\u093e \\u0915\\u0930\\u0947\\u0902","item_section_icon":"fas fa-chart-bar"},"ar":{"item_title":"\\u0645\\u0634\\u0627\\u0631\\u0643\\u0647 \\u0625\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a\\u0647","item_description":"\\u0634\\u0627\\u0631\\u0643 \\u0644\\u062d\\u0638\\u0627\\u062a\\u0643 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u064a\\u0629 \\u0645\\u0639 \\u0627\\u0644\\u0623\\u0635\\u062f\\u0642\\u0627\\u0621","item_section_icon":"fas fa-chart-bar"}},"id":"65267b1a57dea"}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-11 10:30:59','updated_at' => '2023-11-27 16:57:21'),
            array('id' => '5','key' => 'testimonial-section','value' => '{"language":{"en":{"section_title":"Testimonials","title":"What Our Client Says","description":"We take immense pride in our commitment to delivering the best in online radio streaming services. But don\\u2019t just take our word for it; let our satisfied clients do the talking.","section_icon":"fas fa-podcast"},"es":{"section_title":"Testimonios","title":"Lo que dice nuestro cliente","description":"Estamos inmensamente orgullosos de nuestro compromiso de ofrecer lo mejor en servicios de transmisi\\u00f3n de radio en l\\u00ednea. Pero no conf\\u00ede s\\u00f3lo en nuestra palabra; Deje que nuestros clientes satisfechos hablen por usted.","section_icon":"fas fa-podcast"},"hi":{"section_title":"\\u092a\\u094d\\u0930\\u0936\\u0902\\u0938\\u093e\\u092a\\u0924\\u094d\\u0930","title":"\\u0939\\u092e\\u093e\\u0930\\u093e \\u0917\\u094d\\u0930\\u093e\\u0939\\u0915 \\u0915\\u094d\\u092f\\u093e \\u0915\\u0939\\u0924\\u093e \\u0939\\u0948","description":"\\u0939\\u092e \\u0938\\u0930\\u094d\\u0935\\u0936\\u094d\\u0930\\u0947\\u0937\\u094d\\u0920 \\u0911\\u0928\\u0932\\u093e\\u0907\\u0928 \\u0930\\u0947\\u0921\\u093f\\u092f\\u094b \\u0938\\u094d\\u091f\\u094d\\u0930\\u0940\\u092e\\u093f\\u0902\\u0917 \\u0938\\u0947\\u0935\\u093e\\u090f\\u0902 \\u092a\\u094d\\u0930\\u0926\\u093e\\u0928 \\u0915\\u0930\\u0928\\u0947 \\u0915\\u0940 \\u0905\\u092a\\u0928\\u0940 \\u092a\\u094d\\u0930\\u0924\\u093f\\u092c\\u0926\\u094d\\u0927\\u0924\\u093e \\u092a\\u0930 \\u092c\\u0939\\u0941\\u0924 \\u0917\\u0930\\u094d\\u0935 \\u092e\\u0939\\u0938\\u0942\\u0938 \\u0915\\u0930\\u0924\\u0947 \\u0939\\u0948\\u0902\\u0964 \\u0932\\u0947\\u0915\\u093f\\u0928 \\u0907\\u0938\\u0915\\u0947 \\u0932\\u093f\\u090f \\u0915\\u0947\\u0935\\u0932 \\u0939\\u092e\\u093e\\u0930\\u0940 \\u092c\\u093e\\u0924 \\u0928 \\u092e\\u093e\\u0928\\u0947\\u0902; \\u0939\\u092e\\u093e\\u0930\\u0947 \\u0938\\u0902\\u0924\\u0941\\u0937\\u094d\\u091f \\u0917\\u094d\\u0930\\u093e\\u0939\\u0915\\u094b\\u0902 \\u0915\\u094b \\u092c\\u093e\\u0924 \\u0915\\u0930\\u0928\\u0947 \\u0926\\u0947\\u0902\\u0964","section_icon":"fas fa-podcast"},"ar":{"section_title":"\\u0627\\u0644\\u0634\\u0647\\u0627\\u062f\\u0627\\u062a - \\u0627\\u0644\\u062a\\u0648\\u0635\\u064a\\u0627\\u062a","title":"\\u0645\\u0627\\u0630\\u0627 \\u064a\\u0642\\u0648\\u0644 \\u0639\\u0645\\u064a\\u0644\\u0646\\u0627","description":"\\u0646\\u062d\\u0646 \\u0646\\u0641\\u062e\\u0631 \\u0628\\u0634\\u062f\\u0629 \\u0628\\u0627\\u0644\\u062a\\u0632\\u0627\\u0645\\u0646\\u0627 \\u0628\\u062a\\u0642\\u062f\\u064a\\u0645 \\u0627\\u0644\\u0623\\u0641\\u0636\\u0644 \\u0641\\u064a \\u062e\\u062f\\u0645\\u0627\\u062a \\u0627\\u0644\\u0628\\u062b \\u0627\\u0644\\u0625\\u0630\\u0627\\u0639\\u064a \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a. \\u0644\\u0643\\u0646 \\u0644\\u0627 \\u062a\\u0623\\u062e\\u0630 \\u0643\\u0644\\u0645\\u062a\\u0646\\u0627 \\u0639\\u0644\\u0649 \\u0645\\u062d\\u0645\\u0644 \\u0627\\u0644\\u062c\\u062f \\u0641\\u062d\\u0633\\u0628\\u061b \\u062f\\u0639 \\u0639\\u0645\\u0644\\u0627\\u0626\\u0646\\u0627 \\u0627\\u0644\\u0631\\u0627\\u0636\\u064a\\u0646 \\u064a\\u062a\\u062d\\u062f\\u062b\\u0648\\u0646.","section_icon":"fas fa-podcast"}},"items":{"6526825885fb4":{"language":{"en":{"item_title":"Musical Revival","item_name":"Daniel Smith","item_designation":"Software Engineer","item_rating":"5","item_description":"AdRadio has rekindled my love for music. The variety of channels and the quality of sound are truly exceptional. It\\u2019s my constant companion, whether I\\u2019m coding, relaxing, or on a road trip."},"es":{"item_title":"Renacimiento musical","item_name":"Daniel Smith","item_designation":"Ingeniero de software","item_rating":"5","item_description":"AdRadio ha reavivado mi amor por la m\\u00fasica. La variedad de canales y la calidad del sonido son realmente excepcionales. Es mi compa\\u00f1ero constante, ya sea que est\\u00e9 codificando, relaj\\u00e1ndome o en un viaje por carretera."},"hi":{"item_title":"\\u0938\\u0902\\u0917\\u0940\\u0924\\u092e\\u092f \\u092a\\u0941\\u0928\\u0930\\u0941\\u0926\\u094d\\u0927\\u093e\\u0930","item_name":"\\u0921\\u0947\\u0928\\u093f\\u092f\\u0932 \\u0938\\u094d\\u092e\\u093f\\u0925","item_designation":"\\u0938\\u0949\\u092b\\u094d\\u091f\\u0935\\u0947\\u092f\\u0930 \\u0907\\u0902\\u091c\\u0940\\u0928\\u093f\\u092f\\u0930","item_rating":"5","item_description":"AdRadio \\u0928\\u0947 \\u0938\\u0902\\u0917\\u0940\\u0924 \\u0915\\u0947 \\u092a\\u094d\\u0930\\u0924\\u093f \\u092e\\u0947\\u0930\\u0947 \\u092a\\u094d\\u092f\\u093e\\u0930 \\u0915\\u094b \\u092b\\u093f\\u0930 \\u0938\\u0947 \\u091c\\u0917\\u093e \\u0926\\u093f\\u092f\\u093e \\u0939\\u0948\\u0964 \\u091a\\u0948\\u0928\\u0932\\u094b\\u0902 \\u0915\\u0940 \\u0935\\u093f\\u0935\\u093f\\u0927\\u0924\\u093e \\u0914\\u0930 \\u0927\\u094d\\u0935\\u0928\\u093f \\u0915\\u0940 \\u0917\\u0941\\u0923\\u0935\\u0924\\u094d\\u0924\\u093e \\u0935\\u093e\\u0938\\u094d\\u0924\\u0935 \\u092e\\u0947\\u0902 \\u0905\\u0938\\u093e\\u0927\\u093e\\u0930\\u0923 \\u0939\\u0948\\u0964 \\u092f\\u0939 \\u092e\\u0947\\u0930\\u093e \\u0928\\u093f\\u0930\\u0902\\u0924\\u0930 \\u0938\\u093e\\u0925\\u0940 \\u0939\\u0948, \\u091a\\u093e\\u0939\\u0947 \\u092e\\u0948\\u0902 \\u0915\\u094b\\u0921\\u093f\\u0902\\u0917 \\u0915\\u0930 \\u0930\\u0939\\u093e \\u0939\\u0942\\u0902, \\u0906\\u0930\\u093e\\u092e \\u0915\\u0930 \\u0930\\u0939\\u093e \\u0939\\u0942\\u0902, \\u092f\\u093e \\u0938\\u0921\\u093c\\u0915 \\u092f\\u093e\\u0924\\u094d\\u0930\\u093e \\u092a\\u0930 \\u0939\\u0942\\u0902\\u0964"},"ar":{"item_title":"\\u0627\\u0644\\u0646\\u0647\\u0636\\u0629 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u064a\\u0629","item_name":"\\u062f\\u0627\\u0646\\u064a\\u0627\\u0644 \\u0633\\u0645\\u064a\\u062b","item_designation":"\\u0645\\u0647\\u0646\\u062f\\u0633 \\u0628\\u0631\\u0645\\u062c\\u064a\\u0627\\u062a","item_rating":"5","item_description":"\\u0644\\u0642\\u062f \\u062c\\u062f\\u062f AdRadio \\u062d\\u0628\\u064a \\u0644\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649. \\u0625\\u0646 \\u062a\\u0646\\u0648\\u0639 \\u0627\\u0644\\u0642\\u0646\\u0648\\u0627\\u062a \\u0648\\u062c\\u0648\\u062f\\u0629 \\u0627\\u0644\\u0635\\u0648\\u062a \\u0627\\u0633\\u062a\\u062b\\u0646\\u0627\\u0626\\u064a\\u0629 \\u062d\\u0642\\u064b\\u0627. \\u0625\\u0646\\u0647 \\u0631\\u0641\\u064a\\u0642\\u064a \\u0627\\u0644\\u062f\\u0627\\u0626\\u0645\\u060c \\u0633\\u0648\\u0627\\u0621 \\u0643\\u0646\\u062a \\u0623\\u0642\\u0648\\u0645 \\u0628\\u0627\\u0644\\u0628\\u0631\\u0645\\u062c\\u0629 \\u0623\\u0648 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062e\\u0627\\u0621 \\u0623\\u0648 \\u0641\\u064a \\u0631\\u062d\\u0644\\u0629 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u0637\\u0631\\u064a\\u0642."}},"id":"6526825885fb4","image":"ea990499-ce86-4857-be46-a0cdbce4638e.webp"},"65279ab29c81c":{"language":{"en":{"item_title":"Playlist Diversity","item_name":"Emily Turner","item_designation":"Student","item_rating":"3","item_description":"AdRadio has a playlist for every mood and occasion. Whether it\\u2019s to start my day with \\u2018Morning Melodies\\u2019 or to unwind with \\u2018Evening Chillout\\u2019 AdRadio is there. It\\u2019s become an integral part of my daily routine."},"es":{"item_title":"Diversidad de listas de reproducci\\u00f3n","item_name":"Emily Turner","item_designation":"Alumno","item_rating":"3","item_description":"AdRadio tiene una lista de reproducci\\u00f3n para cada estado de \\u00e1nimo y ocasi\\u00f3n. Ya sea para empezar el d\\u00eda con \\"Morning Melodies\\" o para relajarme con \\"Evening Chillout\\", AdRadio est\\u00e1 ah\\u00ed. Se ha convertido en una parte integral de mi rutina diaria."},"hi":{"item_title":"\\u092a\\u094d\\u0932\\u0947\\u0932\\u093f\\u0938\\u094d\\u091f \\u0935\\u093f\\u0935\\u093f\\u0927\\u0924\\u093e","item_name":"\\u090f\\u092e\\u093f\\u0932\\u0940 \\u091f\\u0930\\u094d\\u0928\\u0930","item_designation":"\\u0935\\u093f\\u0926\\u094d\\u092f\\u093e\\u0930\\u094d\\u0925\\u0940","item_rating":"3","item_description":"AdRadio \\u0915\\u0947 \\u092a\\u093e\\u0938 \\u0939\\u0930 \\u092e\\u0942\\u0921 \\u0914\\u0930 \\u0905\\u0935\\u0938\\u0930 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u090f\\u0915 \\u092a\\u094d\\u0932\\u0947\\u0932\\u093f\\u0938\\u094d\\u091f \\u0939\\u0948\\u0964 \\u091a\\u093e\\u0939\\u0947 \\u0905\\u092a\\u0928\\u0947 \\u0926\\u093f\\u0928 \\u0915\\u0940 \\u0936\\u0941\\u0930\\u0941\\u0906\\u0924 \'\\u092e\\u0949\\u0930\\u094d\\u0928\\u093f\\u0902\\u0917 \\u092e\\u0947\\u0932\\u094b\\u0921\\u0940\\u091c\\u093c\' \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u0915\\u0930\\u0928\\u0940 \\u0939\\u094b \\u092f\\u093e \'\\u0907\\u0935\\u0928\\u093f\\u0902\\u0917 \\u091a\\u093f\\u0932\\u0906\\u0909\\u091f\' \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u0906\\u0930\\u093e\\u092e \\u0915\\u0930\\u0928\\u093e \\u0939\\u094b, AdRadio \\u092e\\u094c\\u091c\\u0942\\u0926 \\u0939\\u0948\\u0964 \\u092f\\u0939 \\u092e\\u0947\\u0930\\u0940 \\u0926\\u093f\\u0928\\u091a\\u0930\\u094d\\u092f\\u093e \\u0915\\u093e \\u0905\\u092d\\u093f\\u0928\\u094d\\u0928 \\u0905\\u0902\\u0917 \\u092c\\u0928 \\u0917\\u092f\\u093e \\u0939\\u0948\\u0964"},"ar":{"item_title":"\\u062a\\u0646\\u0648\\u0639 \\u0642\\u0627\\u0626\\u0645\\u0629 \\u0627\\u0644\\u062a\\u0634\\u063a\\u064a\\u0644","item_name":"\\u0625\\u0645\\u064a\\u0644\\u064a \\u062a\\u064a\\u0631\\u0646\\u0631","item_designation":"\\u0637\\u0627\\u0644\\u0628","item_rating":"3","item_description":"\\u064a\\u062d\\u062a\\u0648\\u064a AdRadio \\u0639\\u0644\\u0649 \\u0642\\u0627\\u0626\\u0645\\u0629 \\u062a\\u0634\\u063a\\u064a\\u0644 \\u062a\\u0646\\u0627\\u0633\\u0628 \\u0643\\u0644 \\u062d\\u0627\\u0644\\u0629 \\u0645\\u0632\\u0627\\u062c\\u064a\\u0629 \\u0648\\u0645\\u0646\\u0627\\u0633\\u0628\\u0629. \\u0633\\u0648\\u0627\\u0621 \\u0643\\u0646\\u062a \\u062a\\u0631\\u064a\\u062f \\u0623\\u0646 \\u0623\\u0628\\u062f\\u0623 \\u064a\\u0648\\u0645\\u064a \\u0645\\u0639 \\"Morning Melodies\\" \\u0623\\u0648 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062e\\u0627\\u0621 \\u0645\\u0639 \\"Evening Chillout\\" \\u0641\\u0625\\u0646 AdRadio \\u0645\\u062a\\u0627\\u062d. \\u0644\\u0642\\u062f \\u0623\\u0635\\u0628\\u062d \\u062c\\u0632\\u0621\\u064b\\u0627 \\u0644\\u0627 \\u064a\\u062a\\u062c\\u0632\\u0623 \\u0645\\u0646 \\u0631\\u0648\\u062a\\u064a\\u0646\\u064a \\u0627\\u0644\\u064a\\u0648\\u0645\\u064a."}},"id":"65279ab29c81c","image":"62350e6d-4bec-4241-bd90-da1d493b3e69.webp"},"65279acde0bfc":{"language":{"en":{"item_title":"Sound Quality Mastery","item_name":"Sophia Martinez","item_designation":"Content Creator","item_rating":"4","item_description":"As a content creator, sound quality is paramount. AdRadio\\u2019s high-definition streaming elevates my projects. The \\u2018Soundtracks for Creativity\\u2019 channel is my secret weapon for inspiration."},"es":{"item_title":"Dominio de la calidad del sonido","item_name":"Sof\\u00eda Mart\\u00ednez","item_designation":"Creador de contenido","item_rating":"4","item_description":"Como creador de contenido, la calidad del sonido es primordial. La transmisi\\u00f3n de alta definici\\u00f3n de AdRadio eleva mis proyectos. El canal \'Soundtracks for Creativity\' es mi arma secreta en busca de inspiraci\\u00f3n."},"hi":{"item_title":"\\u0927\\u094d\\u0935\\u0928\\u093f \\u0917\\u0941\\u0923\\u0935\\u0924\\u094d\\u0924\\u093e \\u092e\\u0947\\u0902 \\u0928\\u093f\\u092a\\u0941\\u0923\\u0924\\u093e","item_name":"\\u0938\\u094b\\u092b\\u093f\\u092f\\u093e \\u092e\\u093e\\u0930\\u094d\\u091f\\u093f\\u0928\\u0947\\u091c","item_designation":"\\u0938\\u093e\\u092e\\u0917\\u094d\\u0930\\u0940 \\u0928\\u093f\\u0930\\u094d\\u092e\\u093e\\u0924\\u093e","item_rating":"4","item_description":"\\u090f\\u0915 \\u0938\\u093e\\u092e\\u0917\\u094d\\u0930\\u0940 \\u0928\\u093f\\u0930\\u094d\\u092e\\u093e\\u0924\\u093e \\u0915\\u0947 \\u0930\\u0942\\u092a \\u092e\\u0947\\u0902, \\u0927\\u094d\\u0935\\u0928\\u093f \\u0915\\u0940 \\u0917\\u0941\\u0923\\u0935\\u0924\\u094d\\u0924\\u093e \\u0938\\u0930\\u094d\\u0935\\u094b\\u092a\\u0930\\u093f \\u0939\\u0948\\u0964 AdRadio \\u0915\\u0940 \\u0939\\u093e\\u0908-\\u0921\\u0947\\u092b\\u093f\\u0928\\u093f\\u0936\\u0928 \\u0938\\u094d\\u091f\\u094d\\u0930\\u0940\\u092e\\u093f\\u0902\\u0917 \\u092e\\u0947\\u0930\\u0940 \\u092a\\u0930\\u093f\\u092f\\u094b\\u091c\\u0928\\u093e\\u0913\\u0902 \\u0915\\u094b \\u0909\\u0928\\u094d\\u0928\\u0924 \\u092c\\u0928\\u093e\\u0924\\u0940 \\u0939\\u0948\\u0964 \\u092a\\u094d\\u0930\\u0947\\u0930\\u0923\\u093e \\u0915\\u0947 \\u0932\\u093f\\u090f \'\\u0938\\u093e\\u0909\\u0902\\u0921\\u091f\\u094d\\u0930\\u0948\\u0915\\u094d\\u0938 \\u092b\\u0949\\u0930 \\u0915\\u094d\\u0930\\u093f\\u090f\\u091f\\u093f\\u0935\\u093f\\u091f\\u0940\' \\u091a\\u0948\\u0928\\u0932 \\u092e\\u0947\\u0930\\u093e \\u0917\\u0941\\u092a\\u094d\\u0924 \\u0939\\u0925\\u093f\\u092f\\u093e\\u0930 \\u0939\\u0948\\u0964"},"ar":{"item_title":"\\u0625\\u062a\\u0642\\u0627\\u0646 \\u062c\\u0648\\u062f\\u0629 \\u0627\\u0644\\u0635\\u0648\\u062a","item_name":"\\u0635\\u0648\\u0641\\u064a\\u0627 \\u0645\\u0627\\u0631\\u062a\\u064a\\u0646\\u064a\\u0632","item_designation":"\\u0635\\u0627\\u0646\\u0639 \\u0627\\u0644\\u0645\\u062d\\u062a\\u0648\\u0649","item_rating":"4","item_description":"\\u0628\\u0627\\u0639\\u062a\\u0628\\u0627\\u0631\\u0643 \\u0645\\u0646\\u0634\\u0626 \\u0645\\u062d\\u062a\\u0648\\u0649\\u060c \\u062a\\u0639\\u062f \\u062c\\u0648\\u062f\\u0629 \\u0627\\u0644\\u0635\\u0648\\u062a \\u0623\\u0645\\u0631\\u064b\\u0627 \\u0628\\u0627\\u0644\\u063a \\u0627\\u0644\\u0623\\u0647\\u0645\\u064a\\u0629. \\u064a\\u0624\\u062f\\u064a \\u0627\\u0644\\u0628\\u062b \\u0639\\u0627\\u0644\\u064a \\u0627\\u0644\\u062f\\u0642\\u0629 \\u0645\\u0646 AdRadio \\u0625\\u0644\\u0649 \\u0627\\u0644\\u0627\\u0631\\u062a\\u0642\\u0627\\u0621 \\u0628\\u0645\\u0634\\u0627\\u0631\\u064a\\u0639\\u064a. \\u0625\\u0646 \\u0642\\u0646\\u0627\\u0629 \\"Soundtracks for Creativity\\" \\u0647\\u064a \\u0633\\u0644\\u0627\\u062d\\u064a \\u0627\\u0644\\u0633\\u0631\\u064a \\u0644\\u0644\\u0625\\u0644\\u0647\\u0627\\u0645."}},"id":"65279acde0bfc","image":"8d2e5e88-d390-4af7-9137-8e3790ff46f7.webp"},"65279af0256b7":{"language":{"en":{"item_title":"Daily Escape","item_name":"Mark Davis","item_designation":"Sales Manager","item_rating":"2","item_description":"AdRadio is my daily escape from the hustle and bustle. The \\u2018Evening Chillout\\u2019 and \\u2018Smooth Jazz Serenade\\u2019 channels are my personal favorites. Thanks to AdRadio, I can relax and rejuvenate after a long day at work."},"es":{"item_title":"Escape diario","item_name":"Marcos Davis","item_designation":"Gerente de ventas","item_rating":"2","item_description":"AdRadio es mi escape diario del ajetreo y el bullicio. Los canales \\"Evening Chillout\\" y \\"Smooth Jazz Serenade\\" son mis favoritos personales. Gracias a AdRadio, puedo relajarme y rejuvenecer despu\\u00e9s de un largo d\\u00eda de trabajo."},"hi":{"item_title":"\\u0926\\u0948\\u0928\\u093f\\u0915 \\u092a\\u0932\\u093e\\u092f\\u0928","item_name":"\\u092e\\u093e\\u0930\\u094d\\u0915 \\u0921\\u0947\\u0935\\u093f\\u0938","item_designation":"\\u092c\\u093f\\u0915\\u094d\\u0930\\u0940 \\u092a\\u094d\\u0930\\u092c\\u0902\\u0927\\u0915","item_rating":"2","item_description":"AdRadio \\u092e\\u0947\\u0930\\u0940 \\u0926\\u0948\\u0928\\u093f\\u0915 \\u0939\\u0932\\u091a\\u0932 \\u0938\\u0947 \\u092e\\u0941\\u0915\\u094d\\u0924\\u093f \\u0939\\u0948\\u0964 \'\\u0907\\u0935\\u0928\\u093f\\u0902\\u0917 \\u091a\\u093f\\u0932\\u0906\\u0909\\u091f\' \\u0914\\u0930 \'\\u0938\\u094d\\u092e\\u0942\\u0925 \\u091c\\u0948\\u091c\\u093c \\u0938\\u0947\\u0930\\u0947\\u0928\\u0947\\u0921\' \\u091a\\u0948\\u0928\\u0932 \\u092e\\u0947\\u0930\\u0947 \\u0935\\u094d\\u092f\\u0915\\u094d\\u0924\\u093f\\u0917\\u0924 \\u092a\\u0938\\u0902\\u0926\\u0940\\u0926\\u093e \\u0939\\u0948\\u0902\\u0964 AdRadio \\u0915\\u094b \\u0927\\u0928\\u094d\\u092f\\u0935\\u093e\\u0926, \\u092e\\u0948\\u0902 \\u0915\\u093e\\u092e \\u092a\\u0930 \\u0932\\u0902\\u092c\\u0947 \\u0926\\u093f\\u0928 \\u0915\\u0947 \\u092c\\u093e\\u0926 \\u0906\\u0930\\u093e\\u092e \\u0915\\u0930 \\u0938\\u0915\\u0924\\u093e \\u0939\\u0942\\u0902 \\u0914\\u0930 \\u0924\\u0930\\u094b\\u0924\\u093e\\u091c\\u093e \\u0939\\u094b \\u0938\\u0915\\u0924\\u093e \\u0939\\u0942\\u0902\\u0964"},"ar":{"item_title":"\\u0627\\u0644\\u0647\\u0631\\u0648\\u0628 \\u0627\\u0644\\u064a\\u0648\\u0645\\u064a","item_name":"\\u0645\\u0627\\u0631\\u0643 \\u062f\\u064a\\u0641\\u064a\\u0633","item_designation":"\\u0645\\u062f\\u064a\\u0631 \\u0627\\u0644\\u0645\\u0628\\u064a\\u0639\\u0627\\u062a","item_rating":"2","item_description":"AdRadio \\u0647\\u0648 \\u0645\\u0647\\u0631\\u0628 \\u064a\\u0648\\u0645\\u064a \\u0645\\u0646 \\u0627\\u0644\\u0632\\u062d\\u0627\\u0645 \\u0648\\u0627\\u0644\\u0636\\u062c\\u064a\\u062c. \\u062a\\u0639\\u062a\\u0628\\u0631 \\u0642\\u0646\\u0648\\u0627\\u062a \\"Evening Chillout\\" \\u0648\\"Smooth Jazz Serenade\\" \\u0645\\u0646 \\u0627\\u0644\\u0642\\u0646\\u0648\\u0627\\u062a \\u0627\\u0644\\u0645\\u0641\\u0636\\u0644\\u0629 \\u0644\\u062f\\u064a \\u0634\\u062e\\u0635\\u064a\\u064b\\u0627. \\u0628\\u0641\\u0636\\u0644 AdRadio\\u060c \\u064a\\u0645\\u0643\\u0646\\u0646\\u064a \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062e\\u0627\\u0621 \\u0648\\u062a\\u062c\\u062f\\u064a\\u062f \\u0646\\u0634\\u0627\\u0637\\u064a \\u0628\\u0639\\u062f \\u064a\\u0648\\u0645 \\u0637\\u0648\\u064a\\u0644 \\u0645\\u0646 \\u0627\\u0644\\u0639\\u0645\\u0644."}},"id":"65279af0256b7","image":"c92ad002-b3e2-4575-b289-4d926dce1920.webp"},"6548b2f8e1964":{"language":{"en":{"item_title":"Musical Gem Archive","item_name":"Liam Walker","item_designation":"Music Enthusiast","item_rating":"4","item_description":"AdRadio is a treasure trove of musical gems. The \\u2018Classic Rock Legends Unplugged\\u2019 playlist is a masterpiece. It\\u2019s like exploring a rich musical archive."},"es":{"item_title":"Archivo de joyas musicales","item_name":"Liam Walker","item_designation":"Entusiasta de la m\\u00fasica","item_rating":"4","item_description":"AdRadio es un tesoro de joyas musicales. La lista de reproducci\\u00f3n \'Classic Rock Legends Unplugged\' es una obra maestra. Es como explorar un rico archivo musical."},"hi":{"item_title":"\\u092e\\u094d\\u092f\\u0942\\u091c\\u093f\\u0915\\u0932 \\u091c\\u0947\\u092e \\u0906\\u0930\\u094d\\u0915\\u093e\\u0907\\u0935","item_name":"\\u0932\\u093f\\u092f\\u093e\\u092e \\u0935\\u0949\\u0915\\u0930","item_designation":"\\u0938\\u0902\\u0917\\u0940\\u0924 \\u092a\\u094d\\u0930\\u0947\\u092e\\u0940","item_rating":"4","item_description":"AdRadio \\u0938\\u0902\\u0917\\u0940\\u0924\\u092e\\u092f \\u0930\\u0924\\u094d\\u0928\\u094b\\u0902 \\u0915\\u093e \\u0916\\u091c\\u093e\\u0928\\u093e \\u0939\\u0948\\u0964 \'\\u0915\\u094d\\u0932\\u093e\\u0938\\u093f\\u0915 \\u0930\\u0949\\u0915 \\u0932\\u0940\\u091c\\u0947\\u0902\\u0921\\u094d\\u0938 \\u0905\\u0928\\u092a\\u094d\\u0932\\u0917\\u094d\\u0921\' \\u092a\\u094d\\u0932\\u0947\\u0932\\u093f\\u0938\\u094d\\u091f \\u090f\\u0915 \\u0909\\u0924\\u094d\\u0915\\u0943\\u0937\\u094d\\u091f \\u0915\\u0943\\u0924\\u093f \\u0939\\u0948\\u0964 \\u092f\\u0939 \\u090f\\u0915 \\u0938\\u092e\\u0943\\u0926\\u094d\\u0927 \\u0938\\u0902\\u0917\\u0940\\u0924 \\u0938\\u0902\\u0917\\u094d\\u0930\\u0939 \\u0915\\u0940 \\u0916\\u094b\\u091c \\u0915\\u0930\\u0928\\u0947 \\u091c\\u0948\\u0938\\u093e \\u0939\\u0948\\u0964"},"ar":{"item_title":"\\u0623\\u0631\\u0634\\u064a\\u0641 \\u0627\\u0644\\u062c\\u0648\\u0647\\u0631\\u0629 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u064a\\u0629","item_name":"\\u0644\\u064a\\u0627\\u0645 \\u0648\\u0648\\u0643\\u0631","item_designation":"\\u0639\\u0634\\u0627\\u0642 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649","item_rating":"4","item_description":"AdRadio \\u0647\\u0648 \\u0643\\u0646\\u0632 \\u0645\\u0646 \\u0627\\u0644\\u0623\\u062d\\u062c\\u0627\\u0631 \\u0627\\u0644\\u0643\\u0631\\u064a\\u0645\\u0629 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u064a\\u0629. \\u062a\\u0639\\u062f \\u0642\\u0627\\u0626\\u0645\\u0629 \\u0627\\u0644\\u062a\\u0634\\u063a\\u064a\\u0644 \\"Classic Rock Legends Unplugged\\" \\u062a\\u062d\\u0641\\u0629 \\u0641\\u0646\\u064a\\u0629. \\u0625\\u0646\\u0647 \\u0645\\u062b\\u0644 \\u0627\\u0633\\u062a\\u0643\\u0634\\u0627\\u0641 \\u0623\\u0631\\u0634\\u064a\\u0641 \\u0645\\u0648\\u0633\\u064a\\u0642\\u064a \\u063a\\u0646\\u064a."}},"id":"6548b2f8e1964","image":"a4df7903-1fcb-4760-85f4-b7a0b923a808.webp"}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-11 10:47:26','updated_at' => '2023-11-27 17:39:00'),
            array('id' => '6','key' => 'video-section','value' => '{"language":{"en":{"section_title":"Playlist","title":"Video Playlist","section_icon":"fas fa-podcast"},"es":{"section_title":"Lista de reproducci\\u00f3n","title":"Lista de reproducci\\u00f3n de v\\u00eddeos","section_icon":"fas fa-podcast"},"hi":{"section_title":"\\u092a\\u094d\\u0932\\u0947\\u0932\\u093f\\u0938\\u094d\\u091f","title":"\\u0935\\u0940\\u0921\\u093f\\u092f\\u094b \\u092a\\u094d\\u0932\\u0947\\u0932\\u093f\\u0938\\u094d\\u091f","section_icon":"fas fa-podcast"},"ar":{"section_title":"\\u0642\\u0627\\u0626\\u0645\\u0629 \\u0627\\u0644\\u062a\\u0634\\u063a\\u064a\\u0644","title":"\\u0642\\u0627\\u0626\\u0645\\u0629 \\u062a\\u0634\\u063a\\u064a\\u0644 \\u0627\\u0644\\u0641\\u064a\\u062f\\u064a\\u0648","section_icon":"fas fa-podcast"}},"items":{"6548ac181b71e":{"language":{"en":{"item_title":"AdRadio\\u2019s Indie Showcase","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"Discover the hottest independent music sensations with \\u2018AdRadio\\u2019s Indie Showcase\\u2019 playlist. We\\u2019ve scoured the globe for the best emerging talent, and this collection features their most captivating tracks. From indie rock to acoustic ballads and everything in between, immerse yourself in the raw, unfiltered creativity of these rising stars."},"es":{"item_title":"Muestra independiente de AdRadio","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"Descubra las sensaciones de la m\\u00fasica independiente m\\u00e1s candentes con la lista de reproducci\\u00f3n \'AdRadio\'s Indie Showcase\'. Hemos recorrido el mundo en busca de los mejores talentos emergentes y esta colecci\\u00f3n presenta sus temas m\\u00e1s cautivadores. Desde rock independiente hasta baladas ac\\u00fasticas y todo lo dem\\u00e1s, sum\\u00e9rgete en la creatividad cruda y sin filtros de estas estrellas en ascenso."},"hi":{"item_title":"AdRadio \\u0915\\u093e \\u0907\\u0902\\u0921\\u0940 \\u0936\\u094b\\u0915\\u0947\\u0938","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"\'AdRadio\'s Indie \\u0936\\u094b\\u0915\\u0947\\u0938\' \\u092a\\u094d\\u0932\\u0947\\u0932\\u093f\\u0938\\u094d\\u091f \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u0938\\u092c\\u0938\\u0947 \\u0932\\u094b\\u0915\\u092a\\u094d\\u0930\\u093f\\u092f \\u0938\\u094d\\u0935\\u0924\\u0902\\u0924\\u094d\\u0930 \\u0938\\u0902\\u0917\\u0940\\u0924 \\u0938\\u0902\\u0935\\u0947\\u0926\\u0928\\u093e\\u0913\\u0902 \\u0915\\u0940 \\u0916\\u094b\\u091c \\u0915\\u0930\\u0947\\u0902\\u0964 \\u0939\\u092e\\u0928\\u0947 \\u0938\\u0930\\u094d\\u0935\\u0936\\u094d\\u0930\\u0947\\u0937\\u094d\\u0920 \\u0909\\u092d\\u0930\\u0924\\u0940 \\u092a\\u094d\\u0930\\u0924\\u093f\\u092d\\u093e\\u0913\\u0902 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u0926\\u0941\\u0928\\u093f\\u092f\\u093e \\u092d\\u0930 \\u092e\\u0947\\u0902 \\u0916\\u094b\\u091c\\u092c\\u0940\\u0928 \\u0915\\u0940 \\u0939\\u0948, \\u0914\\u0930 \\u0907\\u0938 \\u0938\\u0902\\u0917\\u094d\\u0930\\u0939 \\u092e\\u0947\\u0902 \\u0909\\u0928\\u0915\\u0947 \\u0938\\u092c\\u0938\\u0947 \\u0906\\u0915\\u0930\\u094d\\u0937\\u0915 \\u091f\\u094d\\u0930\\u0948\\u0915 \\u0936\\u093e\\u092e\\u093f\\u0932 \\u0939\\u0948\\u0902\\u0964 \\u0907\\u0902\\u0921\\u0940 \\u0930\\u0949\\u0915 \\u0938\\u0947 \\u0932\\u0947\\u0915\\u0930 \\u0927\\u094d\\u0935\\u0928\\u093f\\u0915 \\u0917\\u093e\\u0925\\u093e\\u0917\\u0940\\u0924 \\u0914\\u0930 \\u0907\\u0928\\u0915\\u0947 \\u092c\\u0940\\u091a \\u0915\\u0940 \\u0939\\u0930 \\u091a\\u0940\\u091c\\u093c, \\u0907\\u0928 \\u0909\\u092d\\u0930\\u0924\\u0947 \\u0938\\u093f\\u0924\\u093e\\u0930\\u094b\\u0902 \\u0915\\u0940 \\u0915\\u091a\\u094d\\u091a\\u0940, \\u0905\\u0928\\u092b\\u093c\\u093f\\u0932\\u094d\\u091f\\u0930\\u094d\\u0921 \\u0930\\u091a\\u0928\\u093e\\u0924\\u094d\\u092e\\u0915\\u0924\\u093e \\u092e\\u0947\\u0902 \\u0921\\u0942\\u092c \\u091c\\u093e\\u090f\\u0901\\u0964"},"ar":{"item_title":"\\u0639\\u0631\\u0636 AdRadio \\u0627\\u0644\\u0645\\u0633\\u062a\\u0642\\u0644","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"\\u0627\\u0643\\u062a\\u0634\\u0641 \\u0623\\u062d\\u0627\\u0633\\u064a\\u0633 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0645\\u0633\\u062a\\u0642\\u0644\\u0629 \\u0627\\u0644\\u0623\\u0643\\u062b\\u0631 \\u0625\\u062b\\u0627\\u0631\\u0629 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 \\u0642\\u0627\\u0626\\u0645\\u0629 \\u0627\\u0644\\u062a\\u0634\\u063a\\u064a\\u0644 \\"AdRadio\\u2019s Indie Showcase\\". \\u0644\\u0642\\u062f \\u062c\\u0627\\u0628\\u0646\\u0627 \\u0627\\u0644\\u0639\\u0627\\u0644\\u0645 \\u0628\\u062d\\u062b\\u064b\\u0627 \\u0639\\u0646 \\u0623\\u0641\\u0636\\u0644 \\u0627\\u0644\\u0645\\u0648\\u0627\\u0647\\u0628 \\u0627\\u0644\\u0646\\u0627\\u0634\\u0626\\u0629\\u060c \\u0648\\u062a\\u062a\\u0645\\u064a\\u0632 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0645\\u062c\\u0645\\u0648\\u0639\\u0629 \\u0628\\u0645\\u0633\\u0627\\u0631\\u0627\\u062a\\u0647\\u0645 \\u0627\\u0644\\u0623\\u0643\\u062b\\u0631 \\u062c\\u0627\\u0630\\u0628\\u064a\\u0629. \\u0645\\u0646 \\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0631\\u0648\\u0643 \\u0627\\u0644\\u0645\\u0633\\u062a\\u0642\\u0644\\u0629 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u0623\\u063a\\u0627\\u0646\\u064a \\u0627\\u0644\\u0634\\u0639\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0635\\u0648\\u062a\\u064a\\u0629 \\u0648\\u0643\\u0644 \\u0634\\u064a\\u0621 \\u0628\\u064a\\u0646\\u0647\\u0645\\u0627\\u060c \\u0627\\u0646\\u063a\\u0645\\u0633 \\u0641\\u064a \\u0627\\u0644\\u0625\\u0628\\u062f\\u0627\\u0639 \\u0627\\u0644\\u062e\\u0627\\u0645 \\u063a\\u064a\\u0631 \\u0627\\u0644\\u0645\\u0641\\u0644\\u062a\\u0631 \\u0644\\u0647\\u0624\\u0644\\u0627\\u0621 \\u0627\\u0644\\u0646\\u062c\\u0648\\u0645 \\u0627\\u0644\\u0635\\u0627\\u0639\\u062f\\u064a\\u0646."}},"id":"6548ac181b71e","image":"77d70bb2-fa35-4f71-b672-b15b5d2c5219.webp","created_at":"2023-12-03T09:04:24.112471Z","updated_at":"2023-11-27T11:28:27.170077Z"},"6548ac7ad9a8a":{"language":{"en":{"item_title":"Friday Night Dance Party","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"Kick off your weekend with a bang! \\u2018Friday Night Dance Party\\u2019 is your ultimate party playlist filled with high-energy beats that\\u2019ll get you moving. From EDM to hip-hop and electro-pop, this collection is your one-way ticket to a dancefloor experience in the comfort of your home."},"es":{"item_title":"Fiesta de baile del viernes por la noche","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"\\u00a1Empieza tu fin de semana a lo grande! \\"Friday Night Dance Party\\" es tu lista de reproducci\\u00f3n de fiesta definitiva, llena de ritmos llenos de energ\\u00eda que te har\\u00e1n moverte. Desde EDM hasta hip-hop y electro-pop, esta colecci\\u00f3n es tu boleto de ida a una experiencia de pista de baile en la comodidad de tu hogar."},"hi":{"item_title":"\\u0936\\u0941\\u0915\\u094d\\u0930\\u0935\\u093e\\u0930 \\u0915\\u0940 \\u0930\\u093e\\u0924 \\u0928\\u0943\\u0924\\u094d\\u092f \\u092a\\u093e\\u0930\\u094d\\u091f\\u0940","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"\\u0905\\u092a\\u0928\\u0947 \\u0938\\u092a\\u094d\\u0924\\u093e\\u0939\\u093e\\u0902\\u0924 \\u0915\\u0940 \\u0927\\u092e\\u093e\\u0915\\u0947\\u0926\\u093e\\u0930 \\u0936\\u0941\\u0930\\u0941\\u0906\\u0924 \\u0915\\u0930\\u0947\\u0902! \'\\u092b\\u094d\\u0930\\u093e\\u0907\\u0921\\u0947 \\u0928\\u093e\\u0907\\u091f \\u0921\\u093e\\u0902\\u0938 \\u092a\\u093e\\u0930\\u094d\\u091f\\u0940\' \\u0939\\u093e\\u0908-\\u090f\\u0928\\u0930\\u094d\\u091c\\u0940 \\u092c\\u0940\\u091f\\u094d\\u0938 \\u0938\\u0947 \\u092d\\u0930\\u0940 \\u0906\\u092a\\u0915\\u0940 \\u0905\\u0902\\u0924\\u093f\\u092e \\u092a\\u093e\\u0930\\u094d\\u091f\\u0940 \\u092a\\u094d\\u0932\\u0947\\u0932\\u093f\\u0938\\u094d\\u091f \\u0939\\u0948 \\u091c\\u094b \\u0906\\u092a\\u0915\\u094b \\u091d\\u0942\\u092e\\u0928\\u0947 \\u092a\\u0930 \\u092e\\u091c\\u092c\\u0942\\u0930 \\u0915\\u0930 \\u0926\\u0947\\u0917\\u0940\\u0964 \\u0908\\u0921\\u0940\\u090f\\u092e \\u0938\\u0947 \\u0932\\u0947\\u0915\\u0930 \\u0939\\u093f\\u092a-\\u0939\\u0949\\u092a \\u0914\\u0930 \\u0907\\u0932\\u0947\\u0915\\u094d\\u091f\\u094d\\u0930\\u094b-\\u092a\\u0949\\u092a \\u0924\\u0915, \\u092f\\u0939 \\u0938\\u0902\\u0917\\u094d\\u0930\\u0939 \\u0906\\u092a\\u0915\\u0947 \\u0918\\u0930 \\u0915\\u0947 \\u0906\\u0930\\u093e\\u092e \\u092e\\u0947\\u0902 \\u0921\\u093e\\u0902\\u0938\\u092b\\u094d\\u0932\\u094b\\u0930 \\u0905\\u0928\\u0941\\u092d\\u0935 \\u0915\\u093e \\u090f\\u0915\\u0924\\u0930\\u092b\\u093c\\u093e \\u091f\\u093f\\u0915\\u091f \\u0939\\u0948\\u0964"},"ar":{"item_title":"\\u062d\\u0641\\u0644\\u0629 \\u0631\\u0642\\u0635 \\u0644\\u064a\\u0644\\u0629 \\u0627\\u0644\\u062c\\u0645\\u0639\\u0629","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"\\u0627\\u0628\\u062f\\u0623 \\u0639\\u0637\\u0644\\u0629 \\u0646\\u0647\\u0627\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0633\\u0628\\u0648\\u0639 \\u0628\\u0625\\u062b\\u0627\\u0631\\u0629 \\u0636\\u062c\\u0629! \\"Friday Night Dance Party\\" \\u0647\\u064a \\u0642\\u0627\\u0626\\u0645\\u0629 \\u0627\\u0644\\u062a\\u0634\\u063a\\u064a\\u0644 \\u0627\\u0644\\u0645\\u062b\\u0627\\u0644\\u064a\\u0629 \\u0644\\u0644\\u062d\\u0641\\u0644\\u0627\\u062a \\u0627\\u0644\\u0645\\u0644\\u064a\\u0626\\u0629 \\u0628\\u0627\\u0644\\u0625\\u064a\\u0642\\u0627\\u0639\\u0627\\u062a \\u0639\\u0627\\u0644\\u064a\\u0629 \\u0627\\u0644\\u0637\\u0627\\u0642\\u0629 \\u0627\\u0644\\u062a\\u064a \\u0633\\u062a\\u062c\\u0639\\u0644\\u0643 \\u062a\\u062a\\u062d\\u0631\\u0643. \\u0645\\u0646 \\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0631\\u0642\\u0635 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629 (EDM) \\u0625\\u0644\\u0649 \\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0647\\u064a\\u0628 \\u0647\\u0648\\u0628 \\u0648\\u0627\\u0644\\u0628\\u0648\\u0628 \\u0627\\u0644\\u0643\\u0647\\u0631\\u0628\\u0627\\u0626\\u064a\\u060c \\u062a\\u0645\\u062b\\u0644 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0645\\u062c\\u0645\\u0648\\u0639\\u0629 \\u062a\\u0630\\u0643\\u0631\\u062a\\u0643 \\u0630\\u0647\\u0627\\u0628\\u064b\\u0627 \\u0648\\u0625\\u064a\\u0627\\u0628\\u064b\\u0627 \\u0644\\u062a\\u062c\\u0631\\u0628\\u0629 \\u062d\\u0644\\u0628\\u0629 \\u0627\\u0644\\u0631\\u0642\\u0635 \\u0648\\u0623\\u0646\\u062a \\u0645\\u0631\\u062a\\u0627\\u062d \\u0641\\u064a \\u0645\\u0646\\u0632\\u0644\\u0643."}},"id":"6548ac7ad9a8a","image":"212ee139-8522-4c29-97d7-30813a624a79.webp","created_at":"2023-01-12T09:06:02.891866Z","updated_at":"2023-11-27T11:29:09.907330Z"},"6548acbcdac40":{"language":{"en":{"item_title":"Classic Rock Legends Unplugged","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"Get ready to rock out with our \\u2018Classic Rock Legends Unplugged\\u2019 playlist. This acoustic twist on iconic rock classics takes you on a journey through the rich history of rock \\u2018n\\u2019 roll. From heartfelt ballads to stripped-down anthems, it\\u2019s a raw and intimate experience with the legends of rock."},"es":{"item_title":"Leyendas del rock cl\\u00e1sico desconectadas","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"Prep\\u00e1rate para rockear con nuestra lista de reproducci\\u00f3n \'Classic Rock Legends Unplugged\'. Esta versi\\u00f3n ac\\u00fastica de cl\\u00e1sicos ic\\u00f3nicos del rock te lleva en un viaje a trav\\u00e9s de la rica historia del rock \'n\' roll. Desde baladas sentidas hasta himnos sencillos, es una experiencia cruda e \\u00edntima con las leyendas del rock."},"hi":{"item_title":"\\u0915\\u094d\\u0932\\u093e\\u0938\\u093f\\u0915 \\u0930\\u0949\\u0915 \\u0932\\u0947\\u091c\\u0947\\u0902\\u0921\\u094d\\u0938 \\u0905\\u0928\\u092a\\u094d\\u0932\\u0917\\u094d\\u0921","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"\\u0939\\u092e\\u093e\\u0930\\u0940 \'\\u0915\\u094d\\u0932\\u093e\\u0938\\u093f\\u0915 \\u0930\\u0949\\u0915 \\u0932\\u0940\\u091c\\u0947\\u0902\\u0921\\u094d\\u0938 \\u0905\\u0928\\u092a\\u094d\\u0932\\u0917\\u094d\\u0921\' \\u092a\\u094d\\u0932\\u0947\\u0932\\u093f\\u0938\\u094d\\u091f \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u0927\\u0942\\u092e \\u092e\\u091a\\u093e\\u0928\\u0947 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u0924\\u0948\\u092f\\u093e\\u0930 \\u0939\\u094b \\u091c\\u093e\\u0907\\u090f\\u0964 \\u092a\\u094d\\u0930\\u0924\\u093f\\u0937\\u094d\\u0920\\u093f\\u0924 \\u0930\\u0949\\u0915 \\u0915\\u094d\\u0932\\u093e\\u0938\\u093f\\u0915\\u094d\\u0938 \\u092a\\u0930 \\u092f\\u0939 \\u0927\\u094d\\u0935\\u0928\\u093f\\u0915 \\u092e\\u094b\\u0921\\u093c \\u0906\\u092a\\u0915\\u094b \\u0930\\u0949\\u0915 \'\\u090f\\u0928\' \\u0930\\u094b\\u0932 \\u0915\\u0947 \\u0938\\u092e\\u0943\\u0926\\u094d\\u0927 \\u0907\\u0924\\u093f\\u0939\\u093e\\u0938 \\u0915\\u0940 \\u092f\\u093e\\u0924\\u094d\\u0930\\u093e \\u092a\\u0930 \\u0932\\u0947 \\u091c\\u093e\\u0924\\u093e \\u0939\\u0948\\u0964 \\u0939\\u0943\\u0926\\u092f\\u0938\\u094d\\u092a\\u0930\\u094d\\u0936\\u0940 \\u0917\\u093e\\u0925\\u093e\\u0917\\u0940\\u0924\\u094b\\u0902 \\u0938\\u0947 \\u0932\\u0947\\u0915\\u0930 \\u0928\\u093f\\u0930\\u093e\\u0927\\u093e\\u0930 \\u0917\\u0940\\u0924\\u094b\\u0902 \\u0924\\u0915, \\u092f\\u0939 \\u0930\\u0949\\u0915 \\u0915\\u0940 \\u0915\\u093f\\u0902\\u0935\\u0926\\u0902\\u0924\\u093f\\u092f\\u094b\\u0902 \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u090f\\u0915 \\u0915\\u091a\\u094d\\u091a\\u093e \\u0914\\u0930 \\u0905\\u0902\\u0924\\u0930\\u0902\\u0917 \\u0905\\u0928\\u0941\\u092d\\u0935 \\u0939\\u0948\\u0964"},"ar":{"item_title":"\\u0623\\u0633\\u0627\\u0637\\u064a\\u0631 \\u0627\\u0644\\u0631\\u0648\\u0643 \\u0627\\u0644\\u0643\\u0644\\u0627\\u0633\\u064a\\u0643\\u064a\\u0629 \\u063a\\u064a\\u0631 \\u0645\\u0648\\u0635\\u0648\\u0644","item_link":"https:\\/\\/www.youtube.com\\/embed\\/7p6hG3plQj4?si=F5hqraHgxKt09fb0","item_description":"\\u0627\\u0633\\u062a\\u0639\\u062f \\u0644\\u0644\\u062a\\u0623\\u0644\\u0642 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 \\u0642\\u0627\\u0626\\u0645\\u0629 \\u0627\\u0644\\u062a\\u0634\\u063a\\u064a\\u0644 \\"Classic Rock Legends Unplugged\\". \\u064a\\u0623\\u062e\\u0630\\u0643 \\u0647\\u0630\\u0627 \\u0627\\u0644\\u062a\\u0637\\u0648\\u0631 \\u0627\\u0644\\u0635\\u0648\\u062a\\u064a \\u0644\\u0643\\u0644\\u0627\\u0633\\u064a\\u0643\\u064a\\u0627\\u062a \\u0627\\u0644\\u0631\\u0648\\u0643 \\u0627\\u0644\\u0634\\u0647\\u064a\\u0631\\u0629 \\u0641\\u064a \\u0631\\u062d\\u0644\\u0629 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u062a\\u0627\\u0631\\u064a\\u062e \\u0627\\u0644\\u063a\\u0646\\u064a \\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0631\\u0648\\u0643 \\u0623\\u0646\\u062f \\u0631\\u0648\\u0644. \\u0645\\u0646 \\u0627\\u0644\\u0623\\u063a\\u0627\\u0646\\u064a \\u0627\\u0644\\u063a\\u0646\\u0627\\u0626\\u064a\\u0629 \\u0627\\u0644\\u0635\\u0627\\u062f\\u0642\\u0629 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u0623\\u0646\\u0627\\u0634\\u064a\\u062f \\u0627\\u0644\\u0628\\u0633\\u064a\\u0637\\u0629\\u060c \\u0625\\u0646\\u0647\\u0627 \\u062a\\u062c\\u0631\\u0628\\u0629 \\u062e\\u0627\\u0645 \\u0648\\u062d\\u0645\\u064a\\u0645\\u0629 \\u0645\\u0639 \\u0623\\u0633\\u0627\\u0637\\u064a\\u0631 \\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0631\\u0648\\u0643."}},"id":"6548acbcdac40","image":"c8cd8588-7951-46b7-809b-1b84191dd8ed.webp","created_at":"2023-02-28T09:07:08.896121Z","updated_at":"2023-11-27T11:29:53.599992Z"}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-11 11:27:38','updated_at' => '2023-11-27 17:29:53'),
            array('id' => '7','key' => 'gallery-section','value' => '{"language":{"en":{"section_title":"Gallery","title":"Our Gallery","section_icon":"fas fa-podcast"},"es":{"section_title":"Galer\\u00eda","title":"Nuestro Galeria","section_icon":"fas fa-podcast"},"hi":{"section_title":"\\u0917\\u0948\\u0932\\u0930\\u0940","title":"\\u0939\\u092e\\u093e\\u0930\\u0940 \\u0917\\u0948\\u0932\\u0930\\u0940","section_icon":"fas fa-podcast"},"ar":{"section_title":"\\u0635\\u0627\\u0644\\u0629 \\u0639\\u0631\\u0636","title":"\\u0645\\u0639\\u0631\\u0636\\u0646\\u0627","section_icon":"fas fa-podcast"}},"items":{"6527b06a4b314":{"id":"6527b06a4b314","image":"cd5c0991-8c52-441a-8973-af826c624a2a.webp"},"6527b0715803f":{"id":"6527b0715803f","image":"91ea7bb0-a4d0-42ff-afb2-208c288409c2.webp"},"6527b079460cb":{"id":"6527b079460cb","image":"43a4aa54-b6c1-4c4a-98e0-71fa4cf5a14c.webp"},"6527b08299214":{"id":"6527b08299214","image":"ab66db17-af27-4aaf-ac0b-47b8a40e5f63.webp"},"6527b0896ceeb":{"id":"6527b0896ceeb","image":"7d8f7954-1eeb-43e4-8454-599c789d1536.webp"},"6527b09204fbd":{"id":"6527b09204fbd","image":"3af12467-47ed-404e-b5fd-1a6bb3903d64.webp"},"6527b09985481":{"id":"6527b09985481","image":"87b7d299-8112-492b-8ef2-f8686d23aa5b.webp"}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-12 07:26:29','updated_at' => '2023-11-27 17:02:16'),
            array('id' => '8','key' => 'team-section','value' => '{"language":{"en":{"section_title":"Our Team","title":"Meet Our Rj","section_icon":"fas fa-podcast"},"es":{"section_title":null,"title":null,"section_icon":null},"hi":{"section_title":null,"title":null,"section_icon":null},"ar":{"section_title":null,"title":null,"section_icon":null}},"items":{"6604ffe0e212e":{"language":{"en":{"item_name":"Sarah Summers","item_designation":"Morning Melodies Maestro"},"es":{"item_name":"sara veranos","item_designation":"Melod\\u00edas de la ma\\u00f1ana Maestro"},"hi":{"item_name":"\\u0938\\u093e\\u0930\\u093e \\u0938\\u092e\\u0930\\u094d\\u0938","item_designation":"\\u092e\\u0949\\u0930\\u094d\\u0928\\u093f\\u0902\\u0917 \\u092e\\u0947\\u0932\\u094b\\u0921\\u0940\\u091c\\u093c \\u092e\\u0947\\u0938\\u094d\\u091f\\u094d\\u0930\\u094b"},"ar":{"item_name":"\\u0633\\u0627\\u0631\\u0629 \\u0633\\u0627\\u0645\\u0631\\u0632","item_designation":"\\u0645\\u0627\\u064a\\u0633\\u062a\\u0631\\u0648 \\u0623\\u0646\\u063a\\u0627\\u0645 \\u0627\\u0644\\u0635\\u0628\\u0627\\u062d"}},"id":"6604ffe0e212e","image":"8a10ed4b-b341-48ba-aa4b-7116a1c0ea67.webp","social_links":[{"id":"6604ffe0ebe58","icon_image":"0ce32b09-b99b-44e7-b6f9-b639ea147e8e.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"6604ffe0ef084","icon_image":"7d83022c-17f9-4788-8f1b-b28fadc8d3de.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"6604ffe100394","icon_image":"4a21e089-1e3a-45e7-b543-4ddaef3f7e1b.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"6604ffe1068d6","icon_image":"1c16858d-b3bd-43ac-b014-a117007c9fde.webp","link":"https:\\/\\/www.tiktok.com\\/"}]},"6605004f0fbbf":{"language":{"en":{"item_name":"Emily Roberts","item_designation":"Nostalgia Curator"},"es":{"item_name":"Emily Roberts","item_designation":"Curador de nostalgia"},"hi":{"item_name":"\\u090f\\u092e\\u093f\\u0932\\u0940 \\u0930\\u0949\\u092c\\u0930\\u094d\\u091f\\u094d\\u0938","item_designation":"\\u0928\\u0949\\u0938\\u094d\\u091f\\u0947\\u0932\\u094d\\u091c\\u093f\\u092f\\u093e \\u0915\\u094d\\u092f\\u0942\\u0930\\u0947\\u091f\\u0930"},"ar":{"item_name":"\\u0625\\u0645\\u064a\\u0644\\u064a \\u0631\\u0648\\u0628\\u0631\\u062a\\u0633","item_designation":"\\u0623\\u0645\\u064a\\u0646 \\u0627\\u0644\\u062d\\u0646\\u064a\\u0646"}},"id":"6605004f0fbbf","image":"9813a38a-9df3-4910-a3b9-4ab7b1956d16.webp","social_links":[{"id":"6605004f18b5b","icon_image":"63cf7afb-f0ff-49c1-9e2d-f892d21490cd.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"6605004f1b16f","icon_image":"f8ef17da-e12a-4fdd-a24c-4d250b65cca2.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"6605004f1fa1d","icon_image":"f1c7fbbd-64bd-4808-bd29-a364a4654b1f.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"6605004f22bfd","icon_image":"328ecb77-5da4-4c7b-8b2d-d8b5ed1c7a75.webp","link":"https:\\/\\/www.tiktok.com\\/"}]},"660507914cb90":{"language":{"en":{"item_name":"Alex Rivers","item_designation":"Indie Spotlight Navigator"},"es":{"item_name":"Curador de nostalgia","item_designation":"Navegador independiente destacado"},"hi":{"item_name":"\\u0928\\u0949\\u0938\\u094d\\u091f\\u0947\\u0932\\u094d\\u091c\\u093f\\u092f\\u093e \\u0915\\u094d\\u092f\\u0942\\u0930\\u0947\\u091f\\u0930","item_designation":"\\u0907\\u0902\\u0921\\u0940 \\u0938\\u094d\\u092a\\u0949\\u091f\\u0932\\u093e\\u0907\\u091f \\u0928\\u0947\\u0935\\u093f\\u0917\\u0947\\u091f\\u0930"},"ar":{"item_name":"\\u0623\\u0645\\u064a\\u0646 \\u0627\\u0644\\u062d\\u0646\\u064a\\u0646","item_designation":"\\u0625\\u064a\\u0646\\u062f\\u064a \\u0623\\u0636\\u0648\\u0627\\u0621 \\u0643\\u0627\\u0634\\u0641\\u0629 \\u0627\\u0644\\u0645\\u0644\\u0627\\u062d"}},"id":"660507914cb90","image":"5c364886-0245-4567-bc50-c12830a1b685.webp","social_links":[{"id":"66050792c061e","icon_image":"5d592c60-2a6f-4786-a625-2f0accce2803.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"66050792c498b","icon_image":"830f9354-975c-43a8-ae52-9a93c105ecb4.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"66050792c9953","icon_image":"90dc00b5-6a6d-4c28-945b-e4a0e529eff9.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"66050792cdf06","icon_image":"5fd35140-926f-4dc0-a375-f840fccec86b.webp","link":"https:\\/\\/www.tiktok.com\\/"}]},"660508015067b":{"language":{"en":{"item_name":"Michael Davis","item_designation":"Jazz Virtuoso"},"es":{"item_name":"michael davis","item_designation":"Virtuoso del jazz"},"hi":{"item_name":"\\u092e\\u093e\\u0907\\u0915\\u0932 \\u0921\\u0947\\u0935\\u093f\\u0938","item_designation":"\\u091c\\u0948\\u091c\\u093c \\u0915\\u0932\\u093e\\u092a\\u094d\\u0930\\u0935\\u0940\\u0923 \\u0935\\u094d\\u092f\\u0915\\u094d\\u0924\\u093f"},"ar":{"item_name":"\\u0645\\u0627\\u064a\\u0643\\u0644 \\u062f\\u064a\\u0641\\u064a\\u0633","item_designation":"\\u0639\\u0627\\u0632\\u0641 \\u0627\\u0644\\u062c\\u0627\\u0632"}},"id":"660508015067b","image":"be29204d-260c-49c9-9ed7-b0297c949ea7.webp","social_links":[{"id":"660508015aca6","icon_image":"49bae661-5440-420c-a5f9-21c0ffb9327f.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"660508015dfac","icon_image":"adb04040-79d4-45df-93fc-70c09cb0140d.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"66050801628ff","icon_image":"4567ed04-e592-4546-82f3-50618989569a.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"6605080165e3f","icon_image":"095bc381-5670-4e23-ad3f-7ebf4aab94e4.webp","link":"https:\\/\\/www.tiktok.com\\/"}]},"660508a930e6f":{"language":{"en":{"item_name":"Olivia Mason","item_designation":"Evening Chillout Guru"},"es":{"item_name":"Olivia Mason","item_designation":"Gur\\u00fa del chillout nocturno"},"hi":{"item_name":"\\u0913\\u0932\\u093f\\u0935\\u093f\\u092f\\u093e \\u092e\\u0947\\u0938\\u0928","item_designation":"\\u0907\\u0935\\u0928\\u093f\\u0902\\u0917 \\u091a\\u093f\\u0932\\u0906\\u0909\\u091f \\u0917\\u0941\\u0930\\u0941"},"ar":{"item_name":"\\u0623\\u0648\\u0644\\u064a\\u0641\\u064a\\u0627 \\u0645\\u0627\\u0633\\u0648\\u0646","item_designation":"\\u0627\\u0644\\u0645\\u0639\\u0644\\u0645 \\u062a\\u0647\\u062f\\u0626\\u0629 \\u0627\\u0644\\u0623\\u0639\\u0635\\u0627\\u0628 \\u0641\\u064a \\u0627\\u0644\\u0645\\u0633\\u0627\\u0621"}},"id":"660508a930e6f","image":"e469e76b-2966-4d2f-931d-f36e39111f80.webp","social_links":[{"id":"660508a93b3d4","icon_image":"ecdf0bf2-6ff1-47a8-aab1-05509d4f2dbd.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"660508a93f787","icon_image":"7b629ae0-4617-40ea-8424-39c8a9319ea6.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"660508a941e4a","icon_image":"46ee61d9-8d5f-4767-9301-9cbce237c88f.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"660508a945569","icon_image":"3b90a443-5e7d-41e7-874e-f84babedb92b.webp","link":"https:\\/\\/www.tiktok.com\\/"}]},"6605092e6262b":{"language":{"en":{"item_name":"Chris Taylor","item_designation":"Pop Hits Enthusiast"},"es":{"item_name":"Chris Taylor","item_designation":"Entusiasta de los \\u00e9xitos pop"},"hi":{"item_name":"\\u0915\\u094d\\u0930\\u093f\\u0938 \\u091f\\u0947\\u0932\\u0930","item_designation":"\\u092a\\u0949\\u092a \\u0939\\u093f\\u091f\\u094d\\u0938 \\u0909\\u0924\\u094d\\u0938\\u093e\\u0939\\u0940"},"ar":{"item_name":"\\u0643\\u0631\\u064a\\u0633 \\u062a\\u0627\\u064a\\u0644\\u0648\\u0631","item_designation":"\\u0639\\u0634\\u0627\\u0642 \\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0628\\u0648\\u0628"}},"id":"6605092e6262b","image":"653e3ff0-4bc8-4b2d-9910-0ca9890cc4f2.webp","social_links":[{"id":"6605092e6bfcd","icon_image":"e8786842-3b22-4a8a-aeb1-76732eca05db.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"6605092e6eb28","icon_image":"3004ef8a-4d76-4dd7-a343-8bfb4723e3b5.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"6605092e7228d","icon_image":"70a56938-5def-45a8-af94-66a41fd8735a.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"6605092e75498","icon_image":"948ce820-e1db-4af7-8ecd-423307c4d762.webp","link":"https:\\/\\/www.tiktok.com\\/"}]},"66050a0fa823d":{"language":{"en":{"item_name":"Lily Anderson","item_designation":"Acoustic Virtuoso"},"es":{"item_name":"lily anderson","item_designation":"Virtuoso ac\\u00fastico"},"hi":{"item_name":"\\u0932\\u093f\\u0932\\u0940 \\u090f\\u0902\\u0921\\u0930\\u0938\\u0928","item_designation":"\\u0927\\u094d\\u0935\\u0928\\u093f\\u0915 \\u0915\\u0932\\u093e\\u092a\\u094d\\u0930\\u0935\\u0940\\u0923 \\u0935\\u094d\\u092f\\u0915\\u094d\\u0924\\u093f"},"ar":{"item_name":"\\u0644\\u064a\\u0644\\u064a \\u0623\\u0646\\u062f\\u0631\\u0633\\u0648\\u0646","item_designation":"\\u0627\\u0644\\u0645\\u0648\\u0647\\u0648\\u0628 \\u0627\\u0644\\u0635\\u0648\\u062a\\u064a"}},"id":"66050a0fa823d","image":"15532a11-c538-4446-b184-88c050c356bb.webp","social_links":[{"id":"66050a0fccba0","icon_image":"2ba8c014-87a9-405b-9e9d-3b745b6967d5.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"66050a1052c90","icon_image":"8506c9b3-644e-4071-927d-cdf24206a658.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"66050a105ef36","icon_image":"58378281-28ee-4859-9907-41117723ebaa.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"66050a1064cad","icon_image":"9c9f0ed4-3d7b-45b2-adff-93f3fa6030bc.webp","link":"https:\\/\\/www.tiktok.com\\/"}]},"66050aa15b8ea":{"language":{"en":{"item_name":"David Clark","item_designation":"Sunrise Serenade Sorcerer"},"es":{"item_name":"David Clark","item_designation":"Serenata del amanecer Hechicero"},"hi":{"item_name":"\\u0921\\u0947\\u0935\\u093f\\u0921 \\u0915\\u094d\\u0932\\u093e\\u0930\\u094d\\u0915","item_designation":"\\u0938\\u0942\\u0930\\u094d\\u092f\\u094b\\u0926\\u092f \\u0938\\u0947\\u0930\\u0947\\u0928\\u0947\\u0921 \\u091c\\u093e\\u0926\\u0942\\u0917\\u0930"},"ar":{"item_name":"\\u062f\\u064a\\u0641\\u064a\\u062f \\u0643\\u0644\\u0627\\u0631\\u0643","item_designation":"\\u0634\\u0631\\u0648\\u0642 \\u0627\\u0644\\u0634\\u0645\\u0633 \\u063a\\u0646\\u0627\\u0621 \\u0627\\u0644\\u0633\\u0627\\u062d\\u0631"}},"id":"66050aa15b8ea","image":"b961f938-bdf0-4b2f-977d-cb85a1e11e7c.webp","social_links":[{"id":"66050aa16bdb3","icon_image":"1f4769c4-cef2-4f0a-b654-4a1a58b1b6c0.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"66050aa17181a","icon_image":"4dea3e24-fd5f-438a-b664-3b5db3b56adc.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"66050aa1746f4","icon_image":"6b6546df-3405-4e33-b608-9e023ae92703.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"66050aa1782e6","icon_image":"8a8cd5b7-ae1c-4d65-8c60-c8ffecc14fa6.webp","link":"https:\\/\\/www.tiktok.com\\/"}]},"66050b599df4d":{"language":{"en":{"item_name":"James White","item_designation":"Retro Revival Specialist"},"es":{"item_name":"Jaime Blanco","item_designation":"Especialista en revival retro"},"hi":{"item_name":"\\u091c\\u0947\\u092e\\u094d\\u0938 \\u0935\\u094d\\u0939\\u093e\\u0907\\u091f","item_designation":"\\u0930\\u0947\\u091f\\u094d\\u0930\\u094b \\u0930\\u093f\\u0935\\u093e\\u0907\\u0935\\u0932 \\u0935\\u093f\\u0936\\u0947\\u0937\\u091c\\u094d\\u091e"},"ar":{"item_name":"\\u062c\\u064a\\u0645\\u0633 \\u0648\\u0627\\u064a\\u062a","item_designation":"\\u0623\\u062e\\u0635\\u0627\\u0626\\u064a \\u0625\\u062d\\u064a\\u0627\\u0621 \\u0627\\u0644\\u0631\\u062c\\u0639\\u064a\\u0629"}},"id":"66050b599df4d","image":"6a8d8ae9-1691-4ae0-922a-b0b8f782c5d0.webp","social_links":[{"id":"66050b59a80a5","icon_image":"b6e1fff8-c239-43bc-af67-3b7af1536de7.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"66050b59aaae0","icon_image":"24c16ce0-158a-4720-9771-c92ab2010aee.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"66050b59ae3db","icon_image":"b3dae1f1-f39f-43d1-9493-e93432ffac65.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"66050b59b1727","icon_image":"7d2d6d3c-2187-4705-823d-4d276a7e93d6.webp","link":"https:\\/\\/www.tiktok.com\\/"}]},"66050bd62e2b7":{"language":{"en":{"item_name":"Rachel Hayes","item_designation":"Afternoon Grooves Mav"},"es":{"item_name":"Raquel Hayes","item_designation":"Tarde Grooves Mav"},"hi":{"item_name":"\\u0930\\u093e\\u091a\\u0947\\u0932 \\u0939\\u0947\\u0938","item_designation":"\\u0926\\u094b\\u092a\\u0939\\u0930 \\u0917\\u094d\\u0930\\u0942\\u0935\\u094d\\u0938 \\u092e\\u093e\\u0935"},"ar":{"item_name":"\\u0631\\u0627\\u0634\\u064a\\u0644 \\u0647\\u0627\\u064a\\u0632","item_designation":"\\u0627\\u0644\\u0623\\u062e\\u0627\\u062f\\u064a\\u062f \\u0628\\u0639\\u062f \\u0627\\u0644\\u0638\\u0647\\u0631 Mav"}},"id":"66050bd62e2b7","image":"a404ae96-077d-478e-8a8a-12d272ca983f.webp","social_links":[{"id":"66050bd637924","icon_image":"6f1421bc-e2e3-4da1-8182-5b4f3ad2c6c3.webp","link":"https:\\/\\/www.facebook.com\\/"},{"id":"66050bd63ab2e","icon_image":"3083b11d-164d-4fb4-88b5-fb1a905e0c04.webp","link":"https:\\/\\/twitter.com\\/"},{"id":"66050bd63e076","icon_image":"3db14417-25db-44ae-98af-65dbcb9fd44a.webp","link":"https:\\/\\/www.instagram.com\\/"},{"id":"66050bd641a79","icon_image":"4b5e44be-a736-41ec-bcc9-2a4cfcb9d782.webp","link":"https:\\/\\/www.tiktok.com\\/"}]}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-12 10:04:41','updated_at' => '2024-03-28 12:19:02'),
            array('id' => '9','key' => 'footer-section','value' => '{"image":"2c07d8ae-797d-43ee-add0-c6b519e86adf.webp","language":{"en":{"footer_text":"Copyright \\u00a9 2024 Radio Streaming. All Rights Reserved","short_description":"Our platform is designed to bring you the ultimate convenience in music exploration and enjoyment. Whether you\\u2019re a fan of classic rock, electronic beats, soulful melodies, or even the latest indie tracks, we have a channel for you.","location":"20-22 Wenlock Road, London, England, N1 7GU","mobile":"+03601 885399","email_address":"Radio@Example.Com","support":"Radio@Support.Com","newsletter_title":"Don\\u2019t miss to subscribe to our new feeds, kindly fill the form below"},"es":{"footer_text":"Copyright \\u00a9 2023 Transmisi\\u00f3n de radio. Reservados todos los derechos","short_description":"Nuestra plataforma est\\u00e1 dise\\u00f1ada para brindarle la m\\u00e1xima comodidad en la exploraci\\u00f3n y disfrute de la m\\u00fasica. Si eres fan\\u00e1tico del rock cl\\u00e1sico, los ritmos electr\\u00f3nicos, las melod\\u00edas conmovedoras o incluso los \\u00faltimos temas independientes, tenemos un canal para ti.","location":"20-22 Wenlock Road, Londres, Inglaterra, N1 7GU","mobile":"+03601 885399","email_address":"Radio@Example.Com","support":"Radio@Support.Com","newsletter_title":"No dejes de suscribirte a nuestros nuevos feeds, por favor completa el formulario a continuaci\\u00f3n."},"hi":{"footer_text":"\\u0915\\u0949\\u092a\\u0940\\u0930\\u093e\\u0907\\u091f \\u00a9 2023 \\u0930\\u0947\\u0921\\u093f\\u092f\\u094b \\u0938\\u094d\\u091f\\u094d\\u0930\\u0940\\u092e\\u093f\\u0902\\u0917\\u0964 \\u0938\\u0930\\u094d\\u0935\\u093e\\u0927\\u093f\\u0915\\u093e\\u0930 \\u0938\\u0941\\u0930\\u0915\\u094d\\u0937\\u093f\\u0924","short_description":"\\u0939\\u092e\\u093e\\u0930\\u093e \\u092a\\u094d\\u0932\\u0947\\u091f\\u092b\\u093c\\u0949\\u0930\\u094d\\u092e \\u0906\\u092a\\u0915\\u094b \\u0938\\u0902\\u0917\\u0940\\u0924 \\u0915\\u0940 \\u0916\\u094b\\u091c \\u0914\\u0930 \\u0906\\u0928\\u0902\\u0926 \\u092e\\u0947\\u0902 \\u0938\\u0930\\u094d\\u0935\\u094b\\u0924\\u094d\\u0924\\u092e \\u0938\\u0941\\u0935\\u093f\\u0927\\u093e \\u092a\\u094d\\u0930\\u0926\\u093e\\u0928 \\u0915\\u0930\\u0928\\u0947 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u0921\\u093f\\u091c\\u093c\\u093e\\u0907\\u0928 \\u0915\\u093f\\u092f\\u093e \\u0917\\u092f\\u093e \\u0939\\u0948\\u0964 \\u091a\\u093e\\u0939\\u0947 \\u0906\\u092a \\u0915\\u094d\\u0932\\u093e\\u0938\\u093f\\u0915 \\u0930\\u0949\\u0915, \\u0907\\u0932\\u0947\\u0915\\u094d\\u091f\\u094d\\u0930\\u0949\\u0928\\u093f\\u0915 \\u092c\\u0940\\u091f\\u094d\\u0938, \\u092d\\u093e\\u0935\\u092a\\u0942\\u0930\\u094d\\u0923 \\u0927\\u0941\\u0928\\u094b\\u0902 \\u092f\\u093e \\u092f\\u0939\\u093e\\u0902 \\u0924\\u0915 \\u0915\\u093f \\u0928\\u0935\\u0940\\u0928\\u0924\\u092e \\u0907\\u0902\\u0921\\u0940 \\u091f\\u094d\\u0930\\u0948\\u0915 \\u0915\\u0947 \\u092a\\u094d\\u0930\\u0936\\u0902\\u0938\\u0915 \\u0939\\u094b\\u0902, \\u0939\\u092e\\u093e\\u0930\\u0947 \\u092a\\u093e\\u0938 \\u0906\\u092a\\u0915\\u0947 \\u0932\\u093f\\u090f \\u090f\\u0915 \\u091a\\u0948\\u0928\\u0932 \\u0939\\u0948\\u0964","location":"20-22 \\u0935\\u0947\\u0928\\u0932\\u0949\\u0915 \\u0930\\u094b\\u0921, \\u0932\\u0902\\u0926\\u0928, \\u0907\\u0902\\u0917\\u094d\\u0932\\u0948\\u0902\\u0921, \\u090f\\u09281 7\\u091c\\u0940\\u092f\\u0942","mobile":"+03601 885399","email_address":"Radio@Example.Com","support":"Radio@Support.Com","newsletter_title":"\\u0939\\u092e\\u093e\\u0930\\u0940 \\u0928\\u0908 \\u092b\\u093c\\u0940\\u0921 \\u0915\\u0940 \\u0938\\u0926\\u0938\\u094d\\u092f\\u0924\\u093e \\u0932\\u0947\\u0928\\u093e \\u0928 \\u092d\\u0942\\u0932\\u0947\\u0902, \\u0915\\u0943\\u092a\\u092f\\u093e \\u0928\\u0940\\u091a\\u0947 \\u0926\\u093f\\u092f\\u093e \\u0917\\u092f\\u093e \\u092b\\u0949\\u0930\\u094d\\u092e \\u092d\\u0930\\u0947\\u0902"},"ar":{"footer_text":"\\u062d\\u0642\\u0648\\u0642 \\u0627\\u0644\\u0637\\u0628\\u0639 \\u0648\\u0627\\u0644\\u0646\\u0634\\u0631 \\u00a9 2023 \\u0627\\u0644\\u0628\\u062b \\u0627\\u0644\\u0625\\u0630\\u0627\\u0639\\u064a. \\u0643\\u0644 \\u0627\\u0644\\u062d\\u0642\\u0648\\u0642 \\u0645\\u062d\\u0641\\u0648\\u0638\\u0629","short_description":"\\u062a\\u0645 \\u062a\\u0635\\u0645\\u064a\\u0645 \\u0645\\u0646\\u0635\\u062a\\u0646\\u0627 \\u0644\\u062a\\u0648\\u0641\\u0631 \\u0644\\u0643 \\u0627\\u0644\\u0631\\u0627\\u062d\\u0629 \\u0627\\u0644\\u0642\\u0635\\u0648\\u0649 \\u0641\\u064a \\u0627\\u0633\\u062a\\u0643\\u0634\\u0627\\u0641 \\u0627\\u0644\\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0648\\u0627\\u0644\\u0627\\u0633\\u062a\\u0645\\u062a\\u0627\\u0639 \\u0628\\u0647\\u0627. \\u0633\\u0648\\u0627\\u0621 \\u0643\\u0646\\u062a \\u0645\\u0646 \\u0645\\u062d\\u0628\\u064a \\u0645\\u0648\\u0633\\u064a\\u0642\\u0649 \\u0627\\u0644\\u0631\\u0648\\u0643 \\u0627\\u0644\\u0643\\u0644\\u0627\\u0633\\u064a\\u0643\\u064a\\u0629\\u060c \\u0623\\u0648 \\u0627\\u0644\\u0625\\u064a\\u0642\\u0627\\u0639\\u0627\\u062a \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a\\u0629\\u060c \\u0623\\u0648 \\u0627\\u0644\\u0623\\u0644\\u062d\\u0627\\u0646 \\u0627\\u0644\\u0639\\u0627\\u0637\\u0641\\u064a\\u0629\\u060c \\u0623\\u0648 \\u062d\\u062a\\u0649 \\u0623\\u062d\\u062f\\u062b \\u0627\\u0644\\u0623\\u063a\\u0627\\u0646\\u064a \\u0627\\u0644\\u0645\\u0633\\u062a\\u0642\\u0644\\u0629\\u060c \\u0641\\u0644\\u062f\\u064a\\u0646\\u0627 \\u0642\\u0646\\u0627\\u0629 \\u062a\\u0646\\u0627\\u0633\\u0628\\u0643.","location":"20-22 \\u0637\\u0631\\u064a\\u0642 \\u0648\\u064a\\u0646\\u0644\\u0648\\u0643\\u060c \\u0644\\u0646\\u062f\\u0646\\u060c \\u0625\\u0646\\u062c\\u0644\\u062a\\u0631\\u0627\\u060c N1 7GU","mobile":"+03601 885399","email_address":"Radio@Example.Com","support":"Radio@Support.Com","newsletter_title":"\\u0644\\u0627 \\u062a\\u0641\\u0648\\u062a \\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643 \\u0641\\u064a \\u062e\\u0644\\u0627\\u0635\\u0627\\u062a\\u0646\\u0627 \\u0627\\u0644\\u062c\\u062f\\u064a\\u062f\\u0629\\u060c \\u064a\\u0631\\u062c\\u0649 \\u0645\\u0644\\u0621 \\u0627\\u0644\\u0646\\u0645\\u0648\\u0630\\u062c \\u0623\\u062f\\u0646\\u0627\\u0647"}},"items":{"653f3d1080a9a":{"item_name":"Facebook","item_link":"https:\\/\\/www.facebook.com\\/","item_social_icon":"fab fa-facebook-f","id":"653f3d1080a9a"},"653f3d3b4ba6e":{"item_name":"Twitter","item_link":"https:\\/\\/twitter.com\\/","item_social_icon":"fab fa-twitter","id":"653f3d3b4ba6e"},"653f3d6a4a3b9":{"item_name":"Linkedin","item_link":"https:\\/\\/www.linkedin.com\\/","item_social_icon":"fab fa-linkedin-in","id":"653f3d6a4a3b9"},"653f3d8d9d925":{"item_name":"Github","item_link":"https:\\/\\/github.com\\/","item_social_icon":"fab fa-github","id":"653f3d8d9d925"},"653f3da8f285e":{"item_name":"Instagram","item_link":"https:\\/\\/www.instagram.com\\/","item_social_icon":"fab fa-instagram","id":"653f3da8f285e"}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-14 08:45:02','updated_at' => '2023-11-27 17:09:40'),
            array('id' => '10','key' => 'contact-section','value' => '{"language":{"en":{"section_title":"CONTACT US","description":"Get In Touch With Us","location_title":"Address","location":"20-22 Wenlock Road, London, England, N1 7GU","call_title":"Contact","office_hour":"Our office hours are Monday \\u2013 Friday, 9 am-6 pm","email_title":"Email"},"es":{"section_title":"CONT\\u00c1CTENOS","description":"P\\u00f3ngase en contacto con nosotros","location_title":"DIRECCI\\u00d3N","location":"20-22 Wenlock Road, Londres, Inglaterra, N1 7GU","call_title":"Contacto","office_hour":"Nuestro horario de oficina es de lunes a viernes de 9 am a 6 pm","email_title":"Correo electr\\u00f3nico"},"hi":{"section_title":"\\u0938\\u0902\\u092a\\u0930\\u094d\\u0915 \\u0915\\u0930\\u0947\\u0902","description":"\\u0939\\u092e\\u093e\\u0930\\u0947 \\u0938\\u093e\\u0925 \\u091c\\u0941\\u0921\\u093c\\u0947","location_title":"\\u092a\\u0924\\u093e","location":"20-22 \\u0935\\u0947\\u0928\\u0932\\u0949\\u0915 \\u0930\\u094b\\u0921, \\u0932\\u0902\\u0926\\u0928, \\u0907\\u0902\\u0917\\u094d\\u0932\\u0948\\u0902\\u0921, \\u090f\\u09281 7\\u091c\\u0940\\u092f\\u0942","call_title":"\\u0938\\u0902\\u092a\\u0930\\u094d\\u0915","office_hour":"\\u0939\\u092e\\u093e\\u0930\\u0947 \\u0915\\u093e\\u0930\\u094d\\u092f\\u093e\\u0932\\u092f \\u0915\\u093e \\u0938\\u092e\\u092f \\u0938\\u094b\\u092e\\u0935\\u093e\\u0930-\\u0936\\u0941\\u0915\\u094d\\u0930\\u0935\\u093e\\u0930, \\u0938\\u0941\\u092c\\u0939 9 \\u092c\\u091c\\u0947 \\u0938\\u0947 \\u0936\\u093e\\u092e 6 \\u092c\\u091c\\u0947 \\u0924\\u0915 \\u0939\\u0948","email_title":"\\u0908\\u092e\\u0947\\u0932"},"ar":{"section_title":"\\u0627\\u062a\\u0635\\u0644 \\u0628\\u0646\\u0627","description":"\\u0627\\u0628\\u0642 \\u0639\\u0644\\u0649 \\u062a\\u0648\\u0627\\u0635\\u0644 \\u0645\\u0639\\u0646\\u0627","location_title":"\\u0639\\u0646\\u0648\\u0627\\u0646","location":"20-22 \\u0637\\u0631\\u064a\\u0642 \\u0648\\u064a\\u0646\\u0644\\u0648\\u0643\\u060c \\u0644\\u0646\\u062f\\u0646\\u060c \\u0625\\u0646\\u062c\\u0644\\u062a\\u0631\\u0627\\u060c N1 7GU","call_title":"\\u0627\\u062a\\u0635\\u0627\\u0644","office_hour":"\\u0633\\u0627\\u0639\\u0627\\u062a \\u0627\\u0644\\u0639\\u0645\\u0644 \\u0644\\u062f\\u064a\\u0646\\u0627 \\u0647\\u064a \\u0645\\u0646 \\u0627\\u0644\\u0627\\u062b\\u0646\\u064a\\u0646 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u062c\\u0645\\u0639\\u0629\\u060c \\u0645\\u0646 \\u0627\\u0644\\u0633\\u0627\\u0639\\u0629 9 \\u0635\\u0628\\u0627\\u062d\\u064b\\u0627 \\u062d\\u062a\\u0649 6 \\u0645\\u0633\\u0627\\u0621\\u064b","email_title":"\\u0628\\u0631\\u064a\\u062f \\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a"}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-14 09:36:32','updated_at' => '2023-11-27 17:00:24'),
            array('id' => '11','key' => 'announcement-section','value' => '{"language":{"en":{"section_title":"Announcement","title":"Our Recent Announcement","description":"We are excited to share some important news with our valued community. we are committed to keeping you informed and engaged, and today, we have an exciting update to share.","section_icon":"fas fa-podcast"},"es":{"section_title":"Anuncio","title":"Nuestro anuncio reciente","description":"Estamos emocionados de compartir algunas noticias importantes con nuestra valiosa comunidad. Estamos comprometidos a mantenerlo informado y comprometido, y hoy tenemos una actualizaci\\u00f3n interesante para compartir.","section_icon":"fas fa-podcast"},"hi":{"section_title":"\\u0918\\u094b\\u0937\\u0923\\u093e","title":"\\u0939\\u092e\\u093e\\u0930\\u0940 \\u0939\\u093e\\u0932\\u093f\\u092f\\u093e \\u0918\\u094b\\u0937\\u0923\\u093e","description":"\\u0939\\u092e \\u0905\\u092a\\u0928\\u0947 \\u092e\\u0942\\u0932\\u094d\\u092f\\u0935\\u093e\\u0928 \\u0938\\u092e\\u0941\\u0926\\u093e\\u092f \\u0915\\u0947 \\u0938\\u093e\\u0925 \\u0915\\u0941\\u091b \\u092e\\u0939\\u0924\\u094d\\u0935\\u092a\\u0942\\u0930\\u094d\\u0923 \\u0938\\u092e\\u093e\\u091a\\u093e\\u0930 \\u0938\\u093e\\u091d\\u093e \\u0915\\u0930\\u0928\\u0947 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u0909\\u0924\\u094d\\u0938\\u093e\\u0939\\u093f\\u0924 \\u0939\\u0948\\u0902\\u0964 \\u0939\\u092e \\u0906\\u092a\\u0915\\u094b \\u0938\\u0942\\u091a\\u093f\\u0924 \\u0914\\u0930 \\u0935\\u094d\\u092f\\u0938\\u094d\\u0924 \\u0930\\u0916\\u0928\\u0947 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u092a\\u094d\\u0930\\u0924\\u093f\\u092c\\u0926\\u094d\\u0927 \\u0939\\u0948\\u0902, \\u0914\\u0930 \\u0906\\u091c, \\u0939\\u092e\\u093e\\u0930\\u0947 \\u092a\\u093e\\u0938 \\u0938\\u093e\\u091d\\u093e \\u0915\\u0930\\u0928\\u0947 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u090f\\u0915 \\u0930\\u094b\\u092e\\u093e\\u0902\\u091a\\u0915 \\u0905\\u092a\\u0921\\u0947\\u091f \\u0939\\u0948\\u0964","section_icon":"fas fa-podcast"},"ar":{"section_title":"\\u0625\\u0639\\u0644\\u0627\\u0646","title":"\\u0625\\u0639\\u0644\\u0627\\u0646\\u0646\\u0627 \\u0627\\u0644\\u0623\\u062e\\u064a\\u0631","description":"\\u064a\\u0633\\u0639\\u062f\\u0646\\u0627 \\u0645\\u0634\\u0627\\u0631\\u0643\\u0629 \\u0628\\u0639\\u0636 \\u0627\\u0644\\u0623\\u062e\\u0628\\u0627\\u0631 \\u0627\\u0644\\u0645\\u0647\\u0645\\u0629 \\u0645\\u0639 \\u0645\\u062c\\u062a\\u0645\\u0639\\u0646\\u0627 \\u0627\\u0644\\u0643\\u0631\\u0627\\u0645. \\u0646\\u062d\\u0646 \\u0645\\u0644\\u062a\\u0632\\u0645\\u0648\\u0646 \\u0628\\u0625\\u0628\\u0642\\u0627\\u0626\\u0643 \\u0639\\u0644\\u0649 \\u0627\\u0637\\u0644\\u0627\\u0639 \\u0648\\u062a\\u0641\\u0627\\u0639\\u0644\\u060c \\u0648\\u0627\\u0644\\u064a\\u0648\\u0645\\u060c \\u0644\\u062f\\u064a\\u0646\\u0627 \\u062a\\u062d\\u062f\\u064a\\u062b \\u0645\\u062b\\u064a\\u0631 \\u0644\\u0645\\u0634\\u0627\\u0631\\u0643\\u062a\\u0647.","section_icon":"fas fa-podcast"}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-15 06:59:57','updated_at' => '2023-11-27 17:40:17'),
            array('id' => '12','key' => 'daily-schedule-section','value' => '{"language":{"en":{"section_title":"Show","title":"Our Show","section_icon":"fas fa-podcast"},"es":{"section_title":"Espect\\u00e1culo","title":"Nuestro Show","section_icon":"fas fa-podcast"},"hi":{"section_title":"\\u0926\\u093f\\u0916\\u093e\\u0913","title":"\\u0939\\u092e\\u093e\\u0930\\u093e \\u0936\\u094b","section_icon":"fas fa-podcast"},"ar":{"section_title":"\\u064a\\u0639\\u0631\\u0636","title":"\\u0639\\u0631\\u0636\\u0646\\u0627","section_icon":"fas fa-podcast"}}}','status' => '1','serialize' => NULL,'created_at' => '2023-10-19 08:28:23','updated_at' => '2023-11-28 10:33:20'),
            array('id' => '13','key' => 'auth-section','value' => '{"language":{"en":{"login_heading":"Log in and Stay Connected","login_sub_heading":"Our secure login process ensures the confidentiality of your information.","register_heading":"Register Information","register_sub_heading":"Please input your details and register to your account to get access to your dashboard.","forgot_heading":"Password Forgot","forgot_sub_heading":"Enter your email and we\'ll send you a otp to reset your password."},"es":{"login_heading":"Inicie sesi\\u00f3n y mant\\u00e9ngase conectado","login_sub_heading":"Nuestro proceso de inicio de sesi\\u00f3n seguro garantiza la confidencialidad de su informaci\\u00f3n.","register_heading":"Informaci\\u00f3n de registro","register_sub_heading":"Ingrese sus datos y reg\\u00edstrese en su cuenta para obtener acceso a su panel de control.","forgot_heading":"Contrase\\u00f1a olvidada","forgot_sub_heading":"Ingresa tu correo electr\\u00f3nico y te enviaremos un otp para restablecer tu contrase\\u00f1a."},"hi":{"login_heading":"\\u0932\\u0949\\u0917 \\u0907\\u0928 \\u0915\\u0930\\u0947\\u0902 \\u0914\\u0930 \\u091c\\u0941\\u0921\\u093c\\u0947 \\u0930\\u0939\\u0947\\u0902","login_sub_heading":"\\u0939\\u092e\\u093e\\u0930\\u0940 \\u0938\\u0941\\u0930\\u0915\\u094d\\u0937\\u093f\\u0924 \\u0932\\u0949\\u0917\\u093f\\u0928 \\u092a\\u094d\\u0930\\u0915\\u094d\\u0930\\u093f\\u092f\\u093e \\u0906\\u092a\\u0915\\u0940 \\u091c\\u093e\\u0928\\u0915\\u093e\\u0930\\u0940 \\u0915\\u0940 \\u0917\\u094b\\u092a\\u0928\\u0940\\u092f\\u0924\\u093e \\u0938\\u0941\\u0928\\u093f\\u0936\\u094d\\u091a\\u093f\\u0924 \\u0915\\u0930\\u0924\\u0940 \\u0939\\u0948\\u0964","register_heading":"\\u091c\\u093e\\u0928\\u0915\\u093e\\u0930\\u0940 \\u092a\\u0902\\u091c\\u0940\\u0915\\u0943\\u0924 \\u0915\\u0930\\u0947\\u0902","register_sub_heading":"\\u0915\\u0943\\u092a\\u092f\\u093e \\u0905\\u092a\\u0928\\u0947 \\u0935\\u093f\\u0935\\u0930\\u0923 \\u0926\\u0930\\u094d\\u091c \\u0915\\u0930\\u0947\\u0902 \\u0914\\u0930 \\u0905\\u092a\\u0928\\u0947 \\u0921\\u0948\\u0936\\u092c\\u094b\\u0930\\u094d\\u0921 \\u0924\\u0915 \\u092a\\u0939\\u0941\\u0902\\u091a \\u092a\\u094d\\u0930\\u093e\\u092a\\u094d\\u0924 \\u0915\\u0930\\u0928\\u0947 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u0905\\u092a\\u0928\\u0947 \\u0916\\u093e\\u0924\\u0947 \\u092e\\u0947\\u0902 \\u092a\\u0902\\u091c\\u0940\\u0915\\u0930\\u0923 \\u0915\\u0930\\u0947\\u0902\\u0964","forgot_heading":"\\u092a\\u093e\\u0938\\u0935\\u0930\\u094d\\u0921 \\u092d\\u0942\\u0932 \\u0917\\u090f","forgot_sub_heading":"\\u0905\\u092a\\u0928\\u093e \\u0908\\u092e\\u0947\\u0932 \\u0926\\u0930\\u094d\\u091c \\u0915\\u0930\\u0947\\u0902 \\u0914\\u0930 \\u0939\\u092e \\u0906\\u092a\\u0915\\u093e \\u092a\\u093e\\u0938\\u0935\\u0930\\u094d\\u0921 \\u0930\\u0940\\u0938\\u0947\\u091f \\u0915\\u0930\\u0928\\u0947 \\u0915\\u0947 \\u0932\\u093f\\u090f \\u0906\\u092a\\u0915\\u094b \\u090f\\u0915 \\u0913\\u091f\\u0940\\u092a\\u0940 \\u092d\\u0947\\u091c\\u0947\\u0902\\u0917\\u0947\\u0964"},"ar":{"login_heading":"\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0627\\u0644\\u062f\\u062e\\u0648\\u0644 \\u0648\\u0627\\u0644\\u0628\\u0642\\u0627\\u0621 \\u0639\\u0644\\u0649 \\u0627\\u062a\\u0635\\u0627\\u0644","login_sub_heading":"\\u062a\\u0636\\u0645\\u0646 \\u0639\\u0645\\u0644\\u064a\\u0629 \\u062a\\u0633\\u062c\\u064a\\u0644 \\u0627\\u0644\\u062f\\u062e\\u0648\\u0644 \\u0627\\u0644\\u0622\\u0645\\u0646\\u0629 \\u0644\\u062f\\u064a\\u0646\\u0627 \\u0633\\u0631\\u064a\\u0629 \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643.","register_heading":"\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a","register_sub_heading":"\\u064a\\u0631\\u062c\\u0649 \\u0625\\u062f\\u062e\\u0627\\u0644 \\u0627\\u0644\\u062a\\u0641\\u0627\\u0635\\u064a\\u0644 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0643 \\u0648\\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0641\\u064a \\u062d\\u0633\\u0627\\u0628\\u0643 \\u0644\\u0644\\u0648\\u0635\\u0648\\u0644 \\u0625\\u0644\\u0649 \\u0644\\u0648\\u062d\\u0629 \\u0627\\u0644\\u062a\\u062d\\u0643\\u0645 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0643.","forgot_heading":"\\u0646\\u0633\\u064a\\u062a \\u0643\\u0644\\u0645\\u0629 \\u0627\\u0644\\u0645\\u0631\\u0648\\u0631","forgot_sub_heading":"\\u0623\\u062f\\u062e\\u0644 \\u0628\\u0631\\u064a\\u062f\\u0643 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a \\u0648\\u0633\\u0646\\u0631\\u0633\\u0644 \\u0644\\u0643 \\u0643\\u0644\\u0645\\u0629 \\u0627\\u0644\\u0645\\u0631\\u0648\\u0631 \\u0644\\u0625\\u0639\\u0627\\u062f\\u0629 \\u062a\\u0639\\u064a\\u064a\\u0646 \\u0643\\u0644\\u0645\\u0629 \\u0627\\u0644\\u0645\\u0631\\u0648\\u0631 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0643."}}}','status' => '1','serialize' => NULL,'created_at' => '2023-11-21 16:40:21','updated_at' => '2023-11-27 17:05:20')
          );

        SiteSections::insert($site_sections);
    }
}
